QScintilla: QsciScintilla Class Reference

QScintilla 2.9.2

- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
QsciScintilla Class Reference

`#include <qsciscintilla.h>`

Inherits QsciScintillaBase.

## Public Types
enum | { AiMaintain = 0x01, AiOpening = 0x02, AiClosing = 0x04 }
enum | AnnotationDisplay { AnnotationHidden = ANNOTATION_HIDDEN, AnnotationStandard = ANNOTATION_STANDARD, AnnotationBoxed = ANNOTATION_BOXED, AnnotationIndented = ANNOTATION_INDENTED }
enum | AutoCompletionUseSingle { AcusNever, AcusExplicit, AcusAlways }
enum | AutoCompletionSource { AcsNone, AcsAll, AcsDocument, AcsAPIs }
enum | BraceMatch { NoBraceMatch, StrictBraceMatch, SloppyBraceMatch }
enum | CallTipsPosition { CallTipsBelowText, CallTipsAboveText }
enum | CallTipsStyle { CallTipsNone, CallTipsNoContext, CallTipsNoAutoCompletionContext, CallTipsContext }
enum | EdgeMode { EdgeNone = EDGE_NONE, EdgeLine = EDGE_LINE, EdgeBackground = EDGE_BACKGROUND }
enum | EolMode { EolWindows = SC_EOL_CRLF, EolUnix = SC_EOL_LF, EolMac = SC_EOL_CR }
enum | FoldStyle { NoFoldStyle, PlainFoldStyle, CircledFoldStyle, BoxedFoldStyle, CircledTreeFoldStyle, BoxedTreeFoldStyle }
enum | IndicatorStyle { PlainIndicator = INDIC_PLAIN, SquiggleIndicator = INDIC_SQUIGGLE, TTIndicator = INDIC_TT, DiagonalIndicator = INDIC_DIAGONAL, StrikeIndicator = INDIC_STRIKE, HiddenIndicator = INDIC_HIDDEN, BoxIndicator = INDIC_BOX, RoundBoxIndicator = INDIC_ROUNDBOX, StraightBoxIndicator = INDIC_STRAIGHTBOX, FullBoxIndicator = INDIC_FULLBOX, DashesIndicator = INDIC_DASH, DotsIndicator = INDIC_DOTS, SquiggleLowIndicator = INDIC_SQUIGGLELOW, DotBoxIndicator = INDIC_DOTBOX, SquigglePixmapIndicator = INDIC_SQUIGGLEPIXMAP, ThickCompositionIndicator = INDIC_COMPOSITIONTHICK, ThinCompositionIndicator = INDIC_COMPOSITIONTHIN, TextColorIndicator = INDIC_TEXTFORE }
enum | { MoNone = SC_MARGINOPTION_NONE, MoSublineSelect = SC_MARGINOPTION_SUBLINESELECT }
enum | MarginType { SymbolMargin = SC_MARGIN_SYMBOL, SymbolMarginDefaultForegroundColor = SC_MARGIN_FORE, SymbolMarginDefaultBackgroundColor = SC_MARGIN_BACK, NumberMargin = SC_MARGIN_NUMBER, TextMargin = SC_MARGIN_TEXT, TextMarginRightJustified = SC_MARGIN_RTEXT }
enum | MarkerSymbol { Circle = SC_MARK_CIRCLE, Rectangle = SC_MARK_ROUNDRECT, RightTriangle = SC_MARK_ARROW, SmallRectangle = SC_MARK_SMALLRECT, RightArrow = SC_MARK_SHORTARROW, Invisible = SC_MARK_EMPTY, DownTriangle = SC_MARK_ARROWDOWN, Minus = SC_MARK_MINUS, Plus = SC_MARK_PLUS, VerticalLine = SC_MARK_VLINE, BottomLeftCorner = SC_MARK_LCORNER, LeftSideSplitter = SC_MARK_TCORNER, BoxedPlus = SC_MARK_BOXPLUS, BoxedPlusConnected = SC_MARK_BOXPLUSCONNECTED, BoxedMinus = SC_MARK_BOXMINUS, BoxedMinusConnected = SC_MARK_BOXMINUSCONNECTED, RoundedBottomLeftCorner = SC_MARK_LCORNERCURVE, LeftSideRoundedSplitter = SC_MARK_TCORNERCURVE, CircledPlus = SC_MARK_CIRCLEPLUS, CircledPlusConnected = SC_MARK_CIRCLEPLUSCONNECTED, CircledMinus = SC_MARK_CIRCLEMINUS, CircledMinusConnected = SC_MARK_CIRCLEMINUSCONNECTED, Background = SC_MARK_BACKGROUND, ThreeDots = SC_MARK_DOTDOTDOT, ThreeRightArrows = SC_MARK_ARROWS, FullRectangle = SC_MARK_FULLRECT, LeftRectangle = SC_MARK_LEFTRECT, Underline = SC_MARK_UNDERLINE, Bookmark = SC_MARK_BOOKMARK }
enum | WhitespaceVisibility { WsInvisible = SCWS_INVISIBLE, WsVisible = SCWS_VISIBLEALWAYS, WsVisibleAfterIndent = SCWS_VISIBLEAFTERINDENT }
enum | WrapMode { WrapNone = SC_WRAP_NONE, WrapWord = SC_WRAP_WORD, WrapCharacter = SC_WRAP_CHAR, WrapWhitespace = SC_WRAP_WHITESPACE }
enum | WrapVisualFlag { WrapFlagNone, WrapFlagByText, WrapFlagByBorder, WrapFlagInMargin }
enum | WrapIndentMode { WrapIndentFixed = SC_WRAPINDENT_FIXED, WrapIndentSame = SC_WRAPINDENT_SAME, WrapIndentIndented = SC_WRAPINDENT_INDENT }
Public Types inherited from QsciScintillaBase
enum | { SCI_START = 2000, SCI_OPTIONAL_START = 3000, SCI_LEXER_START = 4000, SCI_ADDTEXT = 2001, SCI_ADDSTYLEDTEXT = 2002, SCI_INSERTTEXT = 2003, SCI_CLEARALL = 2004, SCI_CLEARDOCUMENTSTYLE = 2005, SCI_GETLENGTH = 2006, SCI_GETCHARAT = 2007, SCI_GETCURRENTPOS = 2008, SCI_GETANCHOR = 2009, SCI_GETSTYLEAT = 2010, SCI_REDO = 2011, SCI_SETUNDOCOLLECTION = 2012, SCI_SELECTALL = 2013, SCI_SETSAVEPOINT = 2014, SCI_GETSTYLEDTEXT = 2015, SCI_CANREDO = 2016, SCI_MARKERLINEFROMHANDLE = 2017, SCI_MARKERDELETEHANDLE = 2018, SCI_GETUNDOCOLLECTION = 2019, SCI_GETVIEWWS = 2020, SCI_SETVIEWWS = 2021, SCI_POSITIONFROMPOINT = 2022, SCI_POSITIONFROMPOINTCLOSE = 2023, SCI_GOTOLINE = 2024, SCI_GOTOPOS = 2025, SCI_SETANCHOR = 2026, SCI_GETCURLINE = 2027, SCI_GETENDSTYLED = 2028, SCI_CONVERTEOLS = 2029, SCI_GETEOLMODE = 2030, SCI_SETEOLMODE = 2031, SCI_STARTSTYLING = 2032, SCI_SETSTYLING = 2033, SCI_GETBUFFEREDDRAW = 2034, SCI_SETBUFFEREDDRAW = 2035, SCI_SETTABWIDTH = 2036, SCI_GETTABWIDTH = 2121, SCI_SETCODEPAGE = 2037, SCI_MARKERDEFINE = 2040, SCI_MARKERSETFORE = 2041, SCI_MARKERSETBACK = 2042, SCI_MARKERADD = 2043, SCI_MARKERDELETE = 2044, SCI_MARKERDELETEALL = 2045, SCI_MARKERGET = 2046, SCI_MARKERNEXT = 2047, SCI_MARKERPREVIOUS = 2048, SCI_MARKERDEFINEPIXMAP = 2049, SCI_SETMARGINTYPEN = 2240, SCI_GETMARGINTYPEN = 2241, SCI_SETMARGINWIDTHN = 2242, SCI_GETMARGINWIDTHN = 2243, SCI_SETMARGINMASKN = 2244, SCI_GETMARGINMASKN = 2245, SCI_SETMARGINSENSITIVEN = 2246, SCI_GETMARGINSENSITIVEN = 2247, SCI_SETMARGINCURSORN = 2248, SCI_GETMARGINCURSORN = 2249, SCI_STYLECLEARALL = 2050, SCI_STYLESETFORE = 2051, SCI_STYLESETBACK = 2052, SCI_STYLESETBOLD = 2053, SCI_STYLESETITALIC = 2054, SCI_STYLESETSIZE = 2055, SCI_STYLESETFONT = 2056, SCI_STYLESETEOLFILLED = 2057, SCI_STYLERESETDEFAULT = 2058, SCI_STYLESETUNDERLINE = 2059, SCI_STYLESETCASE = 2060, SCI_STYLESETSIZEFRACTIONAL = 2061, SCI_STYLEGETSIZEFRACTIONAL = 2062, SCI_STYLESETWEIGHT = 2063, SCI_STYLEGETWEIGHT = 2064, SCI_STYLESETCHARACTERSET = 2066, SCI_SETSELFORE = 2067, SCI_SETSELBACK = 2068, SCI_SETCARETFORE = 2069, SCI_ASSIGNCMDKEY = 2070, SCI_CLEARCMDKEY = 2071, SCI_CLEARALLCMDKEYS = 2072, SCI_SETSTYLINGEX = 2073, SCI_STYLESETVISIBLE = 2074, SCI_GETCARETPERIOD = 2075, SCI_SETCARETPERIOD = 2076, SCI_SETWORDCHARS = 2077, SCI_BEGINUNDOACTION = 2078, SCI_ENDUNDOACTION = 2079, SCI_INDICSETSTYLE = 2080, SCI_INDICGETSTYLE = 2081, SCI_INDICSETFORE = 2082, SCI_INDICGETFORE = 2083, SCI_SETWHITESPACEFORE = 2084, SCI_SETWHITESPACEBACK = 2085, SCI_SETWHITESPACESIZE = 2086, SCI_GETWHITESPACESIZE = 2087, SCI_SETSTYLEBITS = 2090, SCI_GETSTYLEBITS = 2091, SCI_SETLINESTATE = 2092, SCI_GETLINESTATE = 2093, SCI_GETMAXLINESTATE = 2094, SCI_GETCARETLINEVISIBLE = 2095, SCI_SETCARETLINEVISIBLE = 2096, SCI_GETCARETLINEBACK = 2097, SCI_SETCARETLINEBACK = 2098, SCI_STYLESETCHANGEABLE = 2099, SCI_AUTOCSHOW = 2100, SCI_AUTOCCANCEL = 2101, SCI_AUTOCACTIVE = 2102, SCI_AUTOCPOSSTART = 2103, SCI_AUTOCCOMPLETE = 2104, SCI_AUTOCSTOPS = 2105, SCI_AUTOCSETSEPARATOR = 2106, SCI_AUTOCGETSEPARATOR = 2107, SCI_AUTOCSELECT = 2108, SCI_AUTOCSETCANCELATSTART = 2110, SCI_AUTOCGETCANCELATSTART = 2111, SCI_AUTOCSETFILLUPS = 2112, SCI_AUTOCSETCHOOSESINGLE = 2113, SCI_AUTOCGETCHOOSESINGLE = 2114, SCI_AUTOCSETIGNORECASE = 2115, SCI_AUTOCGETIGNORECASE = 2116, SCI_USERLISTSHOW = 2117, SCI_AUTOCSETAUTOHIDE = 2118, SCI_AUTOCGETAUTOHIDE = 2119, SCI_AUTOCSETDROPRESTOFWORD = 2270, SCI_AUTOCGETDROPRESTOFWORD = 2271, SCI_SETINDENT = 2122, SCI_GETINDENT = 2123, SCI_SETUSETABS = 2124, SCI_GETUSETABS = 2125, SCI_SETLINEINDENTATION = 2126, SCI_GETLINEINDENTATION = 2127, SCI_GETLINEINDENTPOSITION = 2128, SCI_GETCOLUMN = 2129, SCI_SETHSCROLLBAR = 2130, SCI_GETHSCROLLBAR = 2131, SCI_SETINDENTATIONGUIDES = 2132, SCI_GETINDENTATIONGUIDES = 2133, SCI_SETHIGHLIGHTGUIDE = 2134, SCI_GETHIGHLIGHTGUIDE = 2135, SCI_GETLINEENDPOSITION = 2136, SCI_GETCODEPAGE = 2137, SCI_GETCARETFORE = 2138, SCI_GETREADONLY = 2140, SCI_SETCURRENTPOS = 2141, SCI_SETSELECTIONSTART = 2142, SCI_GETSELECTIONSTART = 2143, SCI_SETSELECTIONEND = 2144, SCI_GETSELECTIONEND = 2145, SCI_SETPRINTMAGNIFICATION = 2146, SCI_GETPRINTMAGNIFICATION = 2147, SCI_SETPRINTCOLOURMODE = 2148, SCI_GETPRINTCOLOURMODE = 2149, SCI_FINDTEXT = 2150, SCI_FORMATRANGE = 2151, SCI_GETFIRSTVISIBLELINE = 2152, SCI_GETLINE = 2153, SCI_GETLINECOUNT = 2154, SCI_SETMARGINLEFT = 2155, SCI_GETMARGINLEFT = 2156, SCI_SETMARGINRIGHT = 2157, SCI_GETMARGINRIGHT = 2158, SCI_GETMODIFY = 2159, SCI_SETSEL = 2160, SCI_GETSELTEXT = 2161, SCI_GETTEXTRANGE = 2162, SCI_HIDESELECTION = 2163, SCI_POINTXFROMPOSITION = 2164, SCI_POINTYFROMPOSITION = 2165, SCI_LINEFROMPOSITION = 2166, SCI_POSITIONFROMLINE = 2167, SCI_LINESCROLL = 2168, SCI_SCROLLCARET = 2169, SCI_REPLACESEL = 2170, SCI_SETREADONLY = 2171, SCI_NULL = 2172, SCI_CANPASTE = 2173, SCI_CANUNDO = 2174, SCI_EMPTYUNDOBUFFER = 2175, SCI_UNDO = 2176, SCI_CUT = 2177, SCI_COPY = 2178, SCI_PASTE = 2179, SCI_CLEAR = 2180, SCI_SETTEXT = 2181, SCI_GETTEXT = 2182, SCI_GETTEXTLENGTH = 2183, SCI_GETDIRECTFUNCTION = 2184, SCI_GETDIRECTPOINTER = 2185, SCI_SETOVERTYPE = 2186, SCI_GETOVERTYPE = 2187, SCI_SETCARETWIDTH = 2188, SCI_GETCARETWIDTH = 2189, SCI_SETTARGETSTART = 2190, SCI_GETTARGETSTART = 2191, SCI_SETTARGETEND = 2192, SCI_GETTARGETEND = 2193, SCI_REPLACETARGET = 2194, SCI_REPLACETARGETRE = 2195, SCI_SEARCHINTARGET = 2197, SCI_SETSEARCHFLAGS = 2198, SCI_GETSEARCHFLAGS = 2199, SCI_CALLTIPSHOW = 2200, SCI_CALLTIPCANCEL = 2201, SCI_CALLTIPACTIVE = 2202, SCI_CALLTIPPOSSTART = 2203, SCI_CALLTIPSETHLT = 2204, SCI_CALLTIPSETBACK = 2205, SCI_CALLTIPSETFORE = 2206, SCI_CALLTIPSETFOREHLT = 2207, SCI_AUTOCSETMAXWIDTH = 2208, SCI_AUTOCGETMAXWIDTH = 2209, SCI_AUTOCSETMAXHEIGHT = 2210, SCI_AUTOCGETMAXHEIGHT = 2211, SCI_CALLTIPUSESTYLE = 2212, SCI_CALLTIPSETPOSITION = 2213, SCI_CALLTIPSETPOSSTART = 2214, SCI_VISIBLEFROMDOCLINE = 2220, SCI_DOCLINEFROMVISIBLE = 2221, SCI_SETFOLDLEVEL = 2222, SCI_GETFOLDLEVEL = 2223, SCI_GETLASTCHILD = 2224, SCI_GETFOLDPARENT = 2225, SCI_SHOWLINES = 2226, SCI_HIDELINES = 2227, SCI_GETLINEVISIBLE = 2228, SCI_SETFOLDEXPANDED = 2229, SCI_GETFOLDEXPANDED = 2230, SCI_TOGGLEFOLD = 2231, SCI_ENSUREVISIBLE = 2232, SCI_SETFOLDFLAGS = 2233, SCI_ENSUREVISIBLEENFORCEPOLICY = 2234, SCI_WRAPCOUNT = 2235, SCI_GETALLLINESVISIBLE = 2236, SCI_FOLDLINE = 2237, SCI_FOLDCHILDREN = 2238, SCI_EXPANDCHILDREN = 2239, SCI_SETTABINDENTS = 2260, SCI_GETTABINDENTS = 2261, SCI_SETBACKSPACEUNINDENTS = 2262, SCI_GETBACKSPACEUNINDENTS = 2263, SCI_SETMOUSEDWELLTIME = 2264, SCI_GETMOUSEDWELLTIME = 2265, SCI_WORDSTARTPOSITION = 2266, SCI_WORDENDPOSITION = 2267, SCI_SETWRAPMODE = 2268, SCI_GETWRAPMODE = 2269, SCI_SETLAYOUTCACHE = 2272, SCI_GETLAYOUTCACHE = 2273, SCI_SETSCROLLWIDTH = 2274, SCI_GETSCROLLWIDTH = 2275, SCI_TEXTWIDTH = 2276, SCI_SETENDATLASTLINE = 2277, SCI_GETENDATLASTLINE = 2278, SCI_TEXTHEIGHT = 2279, SCI_SETVSCROLLBAR = 2280, SCI_GETVSCROLLBAR = 2281, SCI_APPENDTEXT = 2282, SCI_GETTWOPHASEDRAW = 2283, SCI_SETTWOPHASEDRAW = 2284, SCI_AUTOCGETTYPESEPARATOR = 2285, SCI_AUTOCSETTYPESEPARATOR = 2286, SCI_TARGETFROMSELECTION = 2287, SCI_LINESJOIN = 2288, SCI_LINESSPLIT = 2289, SCI_SETFOLDMARGINCOLOUR = 2290, SCI_SETFOLDMARGINHICOLOUR = 2291, SCI_MARKERSETBACKSELECTED = 2292, SCI_MARKERENABLEHIGHLIGHT = 2293, SCI_LINEDOWN = 2300, SCI_LINEDOWNEXTEND = 2301, SCI_LINEUP = 2302, SCI_LINEUPEXTEND = 2303, SCI_CHARLEFT = 2304, SCI_CHARLEFTEXTEND = 2305, SCI_CHARRIGHT = 2306, SCI_CHARRIGHTEXTEND = 2307, SCI_WORDLEFT = 2308, SCI_WORDLEFTEXTEND = 2309, SCI_WORDRIGHT = 2310, SCI_WORDRIGHTEXTEND = 2311, SCI_HOME = 2312, SCI_HOMEEXTEND = 2313, SCI_LINEEND = 2314, SCI_LINEENDEXTEND = 2315, SCI_DOCUMENTSTART = 2316, SCI_DOCUMENTSTARTEXTEND = 2317, SCI_DOCUMENTEND = 2318, SCI_DOCUMENTENDEXTEND = 2319, SCI_PAGEUP = 2320, SCI_PAGEUPEXTEND = 2321, SCI_PAGEDOWN = 2322, SCI_PAGEDOWNEXTEND = 2323, SCI_EDITTOGGLEOVERTYPE = 2324, SCI_CANCEL = 2325, SCI_DELETEBACK = 2326, SCI_TAB = 2327, SCI_BACKTAB = 2328, SCI_NEWLINE = 2329, SCI_FORMFEED = 2330, SCI_VCHOME = 2331, SCI_VCHOMEEXTEND = 2332, SCI_ZOOMIN = 2333, SCI_ZOOMOUT = 2334, SCI_DELWORDLEFT = 2335, SCI_DELWORDRIGHT = 2336, SCI_LINECUT = 2337, SCI_LINEDELETE = 2338, SCI_LINETRANSPOSE = 2339, SCI_LOWERCASE = 2340, SCI_UPPERCASE = 2341, SCI_LINESCROLLDOWN = 2342, SCI_LINESCROLLUP = 2343, SCI_DELETEBACKNOTLINE = 2344, SCI_HOMEDISPLAY = 2345, SCI_HOMEDISPLAYEXTEND = 2346, SCI_LINEENDDISPLAY = 2347, SCI_LINEENDDISPLAYEXTEND = 2348, SCI_MOVECARETINSIDEVIEW = 2401, SCI_LINELENGTH = 2350, SCI_BRACEHIGHLIGHT = 2351, SCI_BRACEBADLIGHT = 2352, SCI_BRACEMATCH = 2353, SCI_GETVIEWEOL = 2355, SCI_SETVIEWEOL = 2356, SCI_GETDOCPOINTER = 2357, SCI_SETDOCPOINTER = 2358, SCI_SETMODEVENTMASK = 2359, SCI_GETEDGECOLUMN = 2360, SCI_SETEDGECOLUMN = 2361, SCI_GETEDGEMODE = 2362, SCI_SETEDGEMODE = 2363, SCI_GETEDGECOLOUR = 2364, SCI_SETEDGECOLOUR = 2365, SCI_SEARCHANCHOR = 2366, SCI_SEARCHNEXT = 2367, SCI_SEARCHPREV = 2368, SCI_LINESONSCREEN = 2370, SCI_USEPOPUP = 2371, SCI_SELECTIONISRECTANGLE = 2372, SCI_SETZOOM = 2373, SCI_GETZOOM = 2374, SCI_CREATEDOCUMENT = 2375, SCI_ADDREFDOCUMENT = 2376, SCI_RELEASEDOCUMENT = 2377, SCI_GETMODEVENTMASK = 2378, SCI_SETFOCUS = 2380, SCI_GETFOCUS = 2381, SCI_SETSTATUS = 2382, SCI_GETSTATUS = 2383, SCI_SETMOUSEDOWNCAPTURES = 2384, SCI_GETMOUSEDOWNCAPTURES = 2385, SCI_SETCURSOR = 2386, SCI_GETCURSOR = 2387, SCI_SETCONTROLCHARSYMBOL = 2388, SCI_GETCONTROLCHARSYMBOL = 2389, SCI_WORDPARTLEFT = 2390, SCI_WORDPARTLEFTEXTEND = 2391, SCI_WORDPARTRIGHT = 2392, SCI_WORDPARTRIGHTEXTEND = 2393, SCI_SETVISIBLEPOLICY = 2394, SCI_DELLINELEFT = 2395, SCI_DELLINERIGHT = 2396, SCI_SETXOFFSET = 2397, SCI_GETXOFFSET = 2398, SCI_CHOOSECARETX = 2399, SCI_GRABFOCUS = 2400, SCI_SETXCARETPOLICY = 2402, SCI_SETYCARETPOLICY = 2403, SCI_LINEDUPLICATE = 2404, SCI_REGISTERIMAGE = 2405, SCI_SETPRINTWRAPMODE = 2406, SCI_GETPRINTWRAPMODE = 2407, SCI_CLEARREGISTEREDIMAGES = 2408, SCI_STYLESETHOTSPOT = 2409, SCI_SETHOTSPOTACTIVEFORE = 2410, SCI_SETHOTSPOTACTIVEBACK = 2411, SCI_SETHOTSPOTACTIVEUNDERLINE = 2412, SCI_PARADOWN = 2413, SCI_PARADOWNEXTEND = 2414, SCI_PARAUP = 2415, SCI_PARAUPEXTEND = 2416, SCI_POSITIONBEFORE = 2417, SCI_POSITIONAFTER = 2418, SCI_COPYRANGE = 2419, SCI_COPYTEXT = 2420, SCI_SETHOTSPOTSINGLELINE = 2421, SCI_SETSELECTIONMODE = 2422, SCI_GETSELECTIONMODE = 2423, SCI_GETLINESELSTARTPOSITION = 2424, SCI_GETLINESELENDPOSITION = 2425, SCI_LINEDOWNRECTEXTEND = 2426, SCI_LINEUPRECTEXTEND = 2427, SCI_CHARLEFTRECTEXTEND = 2428, SCI_CHARRIGHTRECTEXTEND = 2429, SCI_HOMERECTEXTEND = 2430, SCI_VCHOMERECTEXTEND = 2431, SCI_LINEENDRECTEXTEND = 2432, SCI_PAGEUPRECTEXTEND = 2433, SCI_PAGEDOWNRECTEXTEND = 2434, SCI_STUTTEREDPAGEUP = 2435, SCI_STUTTEREDPAGEUPEXTEND = 2436, SCI_STUTTEREDPAGEDOWN = 2437, SCI_STUTTEREDPAGEDOWNEXTEND = 2438, SCI_WORDLEFTEND = 2439, SCI_WORDLEFTENDEXTEND = 2440, SCI_WORDRIGHTEND = 2441, SCI_WORDRIGHTENDEXTEND = 2442, SCI_SETWHITESPACECHARS = 2443, SCI_SETCHARSDEFAULT = 2444, SCI_AUTOCGETCURRENT = 2445, SCI_ALLOCATE = 2446, SCI_HOMEWRAP = 2349, SCI_HOMEWRAPEXTEND = 2450, SCI_LINEENDWRAP = 2451, SCI_LINEENDWRAPEXTEND = 2452, SCI_VCHOMEWRAP = 2453, SCI_VCHOMEWRAPEXTEND = 2454, SCI_LINECOPY = 2455, SCI_FINDCOLUMN = 2456, SCI_GETCARETSTICKY = 2457, SCI_SETCARETSTICKY = 2458, SCI_TOGGLECARETSTICKY = 2459, SCI_SETWRAPVISUALFLAGS = 2460, SCI_GETWRAPVISUALFLAGS = 2461, SCI_SETWRAPVISUALFLAGSLOCATION = 2462, SCI_GETWRAPVISUALFLAGSLOCATION = 2463, SCI_SETWRAPSTARTINDENT = 2464, SCI_GETWRAPSTARTINDENT = 2465, SCI_MARKERADDSET = 2466, SCI_SETPASTECONVERTENDINGS = 2467, SCI_GETPASTECONVERTENDINGS = 2468, SCI_SELECTIONDUPLICATE = 2469, SCI_SETCARETLINEBACKALPHA = 2470, SCI_GETCARETLINEBACKALPHA = 2471, SCI_SETWRAPINDENTMODE = 2472, SCI_GETWRAPINDENTMODE = 2473, SCI_MARKERSETALPHA = 2476, SCI_GETSELALPHA = 2477, SCI_SETSELALPHA = 2478, SCI_GETSELEOLFILLED = 2479, SCI_SETSELEOLFILLED = 2480, SCI_STYLEGETFORE = 2481, SCI_STYLEGETBACK = 2482, SCI_STYLEGETBOLD = 2483, SCI_STYLEGETITALIC = 2484, SCI_STYLEGETSIZE = 2485, SCI_STYLEGETFONT = 2486, SCI_STYLEGETEOLFILLED = 2487, SCI_STYLEGETUNDERLINE = 2488, SCI_STYLEGETCASE = 2489, SCI_STYLEGETCHARACTERSET = 2490, SCI_STYLEGETVISIBLE = 2491, SCI_STYLEGETCHANGEABLE = 2492, SCI_STYLEGETHOTSPOT = 2493, SCI_GETHOTSPOTACTIVEFORE = 2494, SCI_GETHOTSPOTACTIVEBACK = 2495, SCI_GETHOTSPOTACTIVEUNDERLINE = 2496, SCI_GETHOTSPOTSINGLELINE = 2497, SCI_BRACEHIGHLIGHTINDICATOR = 2498, SCI_BRACEBADLIGHTINDICATOR = 2499, SCI_SETINDICATORCURRENT = 2500, SCI_GETINDICATORCURRENT = 2501, SCI_SETINDICATORVALUE = 2502, SCI_GETINDICATORVALUE = 2503, SCI_INDICATORFILLRANGE = 2504, SCI_INDICATORCLEARRANGE = 2505, SCI_INDICATORALLONFOR = 2506, SCI_INDICATORVALUEAT = 2507, SCI_INDICATORSTART = 2508, SCI_INDICATOREND = 2509, SCI_INDICSETUNDER = 2510, SCI_INDICGETUNDER = 2511, SCI_SETCARETSTYLE = 2512, SCI_GETCARETSTYLE = 2513, SCI_SETPOSITIONCACHE = 2514, SCI_GETPOSITIONCACHE = 2515, SCI_SETSCROLLWIDTHTRACKING = 2516, SCI_GETSCROLLWIDTHTRACKING = 2517, SCI_DELWORDRIGHTEND = 2518, SCI_COPYALLOWLINE = 2519, SCI_GETCHARACTERPOINTER = 2520, SCI_SETKEYSUNICODE = 2521, SCI_GETKEYSUNICODE = 2522, SCI_INDICSETALPHA = 2523, SCI_INDICGETALPHA = 2524, SCI_SETEXTRAASCENT = 2525, SCI_GETEXTRAASCENT = 2526, SCI_SETEXTRADESCENT = 2527, SCI_GETEXTRADESCENT = 2528, SCI_MARKERSYMBOLDEFINED = 2529, SCI_MARGINSETTEXT = 2530, SCI_MARGINGETTEXT = 2531, SCI_MARGINSETSTYLE = 2532, SCI_MARGINGETSTYLE = 2533, SCI_MARGINSETSTYLES = 2534, SCI_MARGINGETSTYLES = 2535, SCI_MARGINTEXTCLEARALL = 2536, SCI_MARGINSETSTYLEOFFSET = 2537, SCI_MARGINGETSTYLEOFFSET = 2538, SCI_SETMARGINOPTIONS = 2539, SCI_ANNOTATIONSETTEXT = 2540, SCI_ANNOTATIONGETTEXT = 2541, SCI_ANNOTATIONSETSTYLE = 2542, SCI_ANNOTATIONGETSTYLE = 2543, SCI_ANNOTATIONSETSTYLES = 2544, SCI_ANNOTATIONGETSTYLES = 2545, SCI_ANNOTATIONGETLINES = 2546, SCI_ANNOTATIONCLEARALL = 2547, SCI_ANNOTATIONSETVISIBLE = 2548, SCI_ANNOTATIONGETVISIBLE = 2549, SCI_ANNOTATIONSETSTYLEOFFSET = 2550, SCI_ANNOTATIONGETSTYLEOFFSET = 2551, SCI_RELEASEALLEXTENDEDSTYLES = 2552, SCI_ALLOCATEEXTENDEDSTYLES = 2553, SCI_SETEMPTYSELECTION = 2556, SCI_GETMARGINOPTIONS = 2557, SCI_INDICSETOUTLINEALPHA = 2558, SCI_INDICGETOUTLINEALPHA = 2559, SCI_ADDUNDOACTION = 2560, SCI_CHARPOSITIONFROMPOINT = 2561, SCI_CHARPOSITIONFROMPOINTCLOSE = 2562, SCI_SETMULTIPLESELECTION = 2563, SCI_GETMULTIPLESELECTION = 2564, SCI_SETADDITIONALSELECTIONTYPING = 2565, SCI_GETADDITIONALSELECTIONTYPING = 2566, SCI_SETADDITIONALCARETSBLINK = 2567, SCI_GETADDITIONALCARETSBLINK = 2568, SCI_SCROLLRANGE = 2569, SCI_GETSELECTIONS = 2570, SCI_CLEARSELECTIONS = 2571, SCI_SETSELECTION = 2572, SCI_ADDSELECTION = 2573, SCI_SETMAINSELECTION = 2574, SCI_GETMAINSELECTION = 2575, SCI_SETSELECTIONNCARET = 2576, SCI_GETSELECTIONNCARET = 2577, SCI_SETSELECTIONNANCHOR = 2578, SCI_GETSELECTIONNANCHOR = 2579, SCI_SETSELECTIONNCARETVIRTUALSPACE = 2580, SCI_GETSELECTIONNCARETVIRTUALSPACE = 2581, SCI_SETSELECTIONNANCHORVIRTUALSPACE = 2582, SCI_GETSELECTIONNANCHORVIRTUALSPACE = 2583, SCI_SETSELECTIONNSTART = 2584, SCI_GETSELECTIONNSTART = 2585, SCI_SETSELECTIONNEND = 2586, SCI_GETSELECTIONNEND = 2587, SCI_SETRECTANGULARSELECTIONCARET = 2588, SCI_GETRECTANGULARSELECTIONCARET = 2589, SCI_SETRECTANGULARSELECTIONANCHOR = 2590, SCI_GETRECTANGULARSELECTIONANCHOR = 2591, SCI_SETRECTANGULARSELECTIONCARETVIRTUALSPACE = 2592, SCI_GETRECTANGULARSELECTIONCARETVIRTUALSPACE = 2593, SCI_SETRECTANGULARSELECTIONANCHORVIRTUALSPACE = 2594, SCI_GETRECTANGULARSELECTIONANCHORVIRTUALSPACE = 2595, SCI_SETVIRTUALSPACEOPTIONS = 2596, SCI_GETVIRTUALSPACEOPTIONS = 2597, SCI_SETRECTANGULARSELECTIONMODIFIER = 2598, SCI_GETRECTANGULARSELECTIONMODIFIER = 2599, SCI_SETADDITIONALSELFORE = 2600, SCI_SETADDITIONALSELBACK = 2601, SCI_SETADDITIONALSELALPHA = 2602, SCI_GETADDITIONALSELALPHA = 2603, SCI_SETADDITIONALCARETFORE = 2604, SCI_GETADDITIONALCARETFORE = 2605, SCI_ROTATESELECTION = 2606, SCI_SWAPMAINANCHORCARET = 2607, SCI_SETADDITIONALCARETSVISIBLE = 2608, SCI_GETADDITIONALCARETSVISIBLE = 2609, SCI_AUTOCGETCURRENTTEXT = 2610, SCI_SETFONTQUALITY = 2611, SCI_GETFONTQUALITY = 2612, SCI_SETFIRSTVISIBLELINE = 2613, SCI_SETMULTIPASTE = 2614, SCI_GETMULTIPASTE = 2615, SCI_GETTAG = 2616, SCI_CHANGELEXERSTATE = 2617, SCI_CONTRACTEDFOLDNEXT = 2618, SCI_VERTICALCENTRECARET = 2619, SCI_MOVESELECTEDLINESUP = 2620, SCI_MOVESELECTEDLINESDOWN = 2621, SCI_SETIDENTIFIER = 2622, SCI_GETIDENTIFIER = 2623, SCI_RGBAIMAGESETWIDTH = 2624, SCI_RGBAIMAGESETHEIGHT = 2625, SCI_MARKERDEFINERGBAIMAGE = 2626, SCI_REGISTERRGBAIMAGE = 2627, SCI_SCROLLTOSTART = 2628, SCI_SCROLLTOEND = 2629, SCI_SETTECHNOLOGY = 2630, SCI_GETTECHNOLOGY = 2631, SCI_CREATELOADER = 2632, SCI_COUNTCHARACTERS = 2633, SCI_AUTOCSETCASEINSENSITIVEBEHAVIOUR = 2634, SCI_AUTOCGETCASEINSENSITIVEBEHAVIOUR = 2635, SCI_AUTOCSETMULTI = 2636, SCI_AUTOCGETMULTI = 2637, SCI_FINDINDICATORSHOW = 2640, SCI_FINDINDICATORFLASH = 2641, SCI_FINDINDICATORHIDE = 2642, SCI_GETRANGEPOINTER = 2643, SCI_GETGAPPOSITION = 2644, SCI_DELETERANGE = 2645, SCI_GETWORDCHARS = 2646, SCI_GETWHITESPACECHARS = 2647, SCI_SETPUNCTUATIONCHARS = 2648, SCI_GETPUNCTUATIONCHARS = 2649, SCI_GETSELECTIONEMPTY = 2650, SCI_RGBAIMAGESETSCALE = 2651, SCI_VCHOMEDISPLAY = 2652, SCI_VCHOMEDISPLAYEXTEND = 2653, SCI_GETCARETLINEVISIBLEALWAYS = 2654, SCI_SETCARETLINEVISIBLEALWAYS = 2655, SCI_SETLINEENDTYPESALLOWED = 2656, SCI_GETLINEENDTYPESALLOWED = 2657, SCI_GETLINEENDTYPESACTIVE = 2658, SCI_AUTOCSETORDER = 2660, SCI_AUTOCGETORDER = 2661, SCI_FOLDALL = 2662, SCI_SETAUTOMATICFOLD = 2663, SCI_GETAUTOMATICFOLD = 2664, SCI_SETREPRESENTATION = 2665, SCI_GETREPRESENTATION = 2666, SCI_CLEARREPRESENTATION = 2667, SCI_SETMOUSESELECTIONRECTANGULARSWITCH = 2668, SCI_GETMOUSESELECTIONRECTANGULARSWITCH = 2669, SCI_POSITIONRELATIVE = 2670, SCI_DROPSELECTIONN = 2671, SCI_CHANGEINSERTION = 2672, SCI_GETPHASESDRAW = 2673, SCI_SETPHASESDRAW = 2674, SCI_CLEARTABSTOPS = 2675, SCI_ADDTABSTOP = 2676, SCI_GETNEXTTABSTOP = 2677, SCI_GETIMEINTERACTION = 2678, SCI_SETIMEINTERACTION = 2679, SCI_INDICSETHOVERSTYLE = 2680, SCI_INDICGETHOVERSTYLE = 2681, SCI_INDICSETHOVERFORE = 2682, SCI_INDICGETHOVERFORE = 2683, SCI_INDICSETFLAGS = 2684, SCI_INDICGETFLAGS = 2685, SCI_SETTARGETRANGE = 2686, SCI_GETTARGETRANGE = 2687, SCI_STARTRECORD = 3001, SCI_STOPRECORD = 3002, SCI_SETLEXER = 4001, SCI_GETLEXER = 4002, SCI_COLOURISE = 4003, SCI_SETPROPERTY = 4004, SCI_SETKEYWORDS = 4005, SCI_SETLEXERLANGUAGE = 4006, SCI_LOADLEXERLIBRARY = 4007, SCI_GETPROPERTY = 4008, SCI_GETPROPERTYEXPANDED = 4009, SCI_GETPROPERTYINT = 4010, SCI_GETSTYLEBITSNEEDED = 4011, SCI_GETLEXERLANGUAGE = 4012, SCI_PRIVATELEXERCALL = 4013, SCI_PROPERTYNAMES = 4014, SCI_PROPERTYTYPE = 4015, SCI_DESCRIBEPROPERTY = 4016, SCI_DESCRIBEKEYWORDSETS = 4017, SCI_GETLINEENDTYPESSUPPORTED = 4018, SCI_ALLOCATESUBSTYLES = 4020, SCI_GETSUBSTYLESSTART = 4021, SCI_GETSUBSTYLESLENGTH = 4022, SCI_GETSTYLEFROMSUBSTYLE = 4027, SCI_GETPRIMARYSTYLEFROMSTYLE = 4028, SCI_FREESUBSTYLES = 4023, SCI_SETIDENTIFIERS = 4024, SCI_DISTANCETOSECONDARYSTYLES = 4025, SCI_GETSUBSTYLEBASES = 4026 }
enum | { SC_ALPHA_TRANSPARENT = 0, SC_ALPHA_OPAQUE = 255, SC_ALPHA_NOALPHA = 256 }
enum | { SC_CARETSTICKY_OFF = 0, SC_CARETSTICKY_ON = 1, SC_CARETSTICKY_WHITESPACE = 2 }
enum | { SC_EFF_QUALITY_MASK = 0x0f, SC_EFF_QUALITY_DEFAULT = 0, SC_EFF_QUALITY_NON_ANTIALIASED = 1, SC_EFF_QUALITY_ANTIALIASED = 2, SC_EFF_QUALITY_LCD_OPTIMIZED = 3 }
enum | { SC_IME_WINDOWED = 0, SC_IME_INLINE = 1 }
enum | { SC_MARGINOPTION_NONE = 0x00, SC_MARGINOPTION_SUBLINESELECT = 0x01 }
enum | { SC_MULTIAUTOC_ONCE = 0, SC_MULTIAUTOC_EACH = 1 }
enum | { SC_MULTIPASTE_ONCE = 0, SC_MULTIPASTE_EACH = 1 }
enum | { SC_SEL_STREAM = 0, SC_SEL_RECTANGLE = 1, SC_SEL_LINES = 2, SC_SEL_THIN = 3 }
enum | { SC_STATUS_OK = 0, SC_STATUS_FAILURE = 1, SC_STATUS_BADALLOC = 2, SC_STATUS_WARN_START = 1000, SC_STATUS_WARNREGEX = 1001 }
enum | { SC_TYPE_BOOLEAN = 0, SC_TYPE_INTEGER = 1, SC_TYPE_STRING = 2 }
enum | { SC_UPDATE_CONTENT = 0x01, SC_UPDATE_SELECTION = 0x02, SC_UPDATE_V_SCROLL = 0x04, SC_UPDATE_H_SCROLL = 0x08 }
enum | { SC_WRAPVISUALFLAG_NONE = 0x0000, SC_WRAPVISUALFLAG_END = 0x0001, SC_WRAPVISUALFLAG_START = 0x0002, SC_WRAPVISUALFLAG_MARGIN = 0x0004 }
enum | { SC_WRAPVISUALFLAGLOC_DEFAULT = 0x0000, SC_WRAPVISUALFLAGLOC_END_BY_TEXT = 0x0001, SC_WRAPVISUALFLAGLOC_START_BY_TEXT = 0x0002 }
enum | { SCVS_NONE = 0, SCVS_RECTANGULARSELECTION = 1, SCVS_USERACCESSIBLE = 2 }
enum | { SCWS_INVISIBLE = 0, SCWS_VISIBLEALWAYS = 1, SCWS_VISIBLEAFTERINDENT = 2 }
enum | { SC_EOL_CRLF = 0, SC_EOL_CR = 1, SC_EOL_LF = 2 }
enum | { SC_CP_DBCS = 1, SC_CP_UTF8 = 65001 }
enum | { SC_MARK_CIRCLE = 0, SC_MARK_ROUNDRECT = 1, SC_MARK_ARROW = 2, SC_MARK_SMALLRECT = 3, SC_MARK_SHORTARROW = 4, SC_MARK_EMPTY = 5, SC_MARK_ARROWDOWN = 6, SC_MARK_MINUS = 7, SC_MARK_PLUS = 8, SC_MARK_VLINE = 9, SC_MARK_LCORNER = 10, SC_MARK_TCORNER = 11, SC_MARK_BOXPLUS = 12, SC_MARK_BOXPLUSCONNECTED = 13, SC_MARK_BOXMINUS = 14, SC_MARK_BOXMINUSCONNECTED = 15, SC_MARK_LCORNERCURVE = 16, SC_MARK_TCORNERCURVE = 17, SC_MARK_CIRCLEPLUS = 18, SC_MARK_CIRCLEPLUSCONNECTED = 19, SC_MARK_CIRCLEMINUS = 20, SC_MARK_CIRCLEMINUSCONNECTED = 21, SC_MARK_BACKGROUND = 22, SC_MARK_DOTDOTDOT = 23, SC_MARK_ARROWS = 24, SC_MARK_PIXMAP = 25, SC_MARK_FULLRECT = 26, SC_MARK_LEFTRECT = 27, SC_MARK_AVAILABLE = 28, SC_MARK_UNDERLINE = 29, SC_MARK_RGBAIMAGE = 30, SC_MARK_BOOKMARK = 31, SC_MARK_CHARACTER = 10000 }
enum | { SC_MARKNUM_FOLDEREND = 25, SC_MARKNUM_FOLDEROPENMID = 26, SC_MARKNUM_FOLDERMIDTAIL = 27, SC_MARKNUM_FOLDERTAIL = 28, SC_MARKNUM_FOLDERSUB = 29, SC_MARKNUM_FOLDER = 30, SC_MARKNUM_FOLDEROPEN = 31, SC_MASK_FOLDERS = 0xfe000000 }
enum | { SC_MARGIN_SYMBOL = 0, SC_MARGIN_NUMBER = 1, SC_MARGIN_BACK = 2, SC_MARGIN_FORE = 3, SC_MARGIN_TEXT = 4, SC_MARGIN_RTEXT = 5 }
enum | { STYLE_DEFAULT = 32, STYLE_LINENUMBER = 33, STYLE_BRACELIGHT = 34, STYLE_BRACEBAD = 35, STYLE_CONTROLCHAR = 36, STYLE_INDENTGUIDE = 37, STYLE_CALLTIP = 38, STYLE_LASTPREDEFINED = 39, STYLE_MAX = 255 }
enum | { SC_CHARSET_ANSI = 0, SC_CHARSET_DEFAULT = 1, SC_CHARSET_BALTIC = 186, SC_CHARSET_CHINESEBIG5 = 136, SC_CHARSET_EASTEUROPE = 238, SC_CHARSET_GB2312 = 134, SC_CHARSET_GREEK = 161, SC_CHARSET_HANGUL = 129, SC_CHARSET_MAC = 77, SC_CHARSET_OEM = 255, SC_CHARSET_RUSSIAN = 204, SC_CHARSET_SHIFTJIS = 128, SC_CHARSET_SYMBOL = 2, SC_CHARSET_TURKISH = 162, SC_CHARSET_JOHAB = 130, SC_CHARSET_HEBREW = 177, SC_CHARSET_ARABIC = 178, SC_CHARSET_VIETNAMESE = 163, SC_CHARSET_THAI = 222, SC_CHARSET_8859_15 = 1000 }
enum | { SC_CASE_MIXED = 0, SC_CASE_UPPER = 1, SC_CASE_LOWER = 2 }
enum | { SC_IV_NONE = 0, SC_IV_REAL = 1, SC_IV_LOOKFORWARD = 2, SC_IV_LOOKBOTH = 3 }
enum | { INDIC_PLAIN = 0, INDIC_SQUIGGLE = 1, INDIC_TT = 2, INDIC_DIAGONAL = 3, INDIC_STRIKE = 4, INDIC_HIDDEN = 5, INDIC_BOX = 6, INDIC_ROUNDBOX = 7, INDIC_STRAIGHTBOX = 8, INDIC_DASH = 9, INDIC_DOTS = 10, INDIC_SQUIGGLELOW = 11, INDIC_DOTBOX = 12, INDIC_SQUIGGLEPIXMAP = 13, INDIC_COMPOSITIONTHICK = 14, INDIC_COMPOSITIONTHIN = 15, INDIC_FULLBOX = 16, INDIC_TEXTFORE = 17, INDIC_IME = 32, INDIC_IME_MAX = 35, INDIC_CONTAINER = 8, INDIC_MAX = 35, INDIC0_MASK = 0x20, INDIC1_MASK = 0x40, INDIC2_MASK = 0x80, INDICS_MASK = 0xe0, SC_INDICVALUEBIT = 0x01000000, SC_INDICVALUEMASK = 0x00ffffff, SC_INDICFLAG_VALUEBEFORE = 1 }
enum | { SC_PRINT_NORMAL = 0, SC_PRINT_INVERTLIGHT = 1, SC_PRINT_BLACKONWHITE = 2, SC_PRINT_COLOURONWHITE = 3, SC_PRINT_COLOURONWHITEDEFAULTBG = 4 }
enum | { SCFIND_WHOLEWORD = 2, SCFIND_MATCHCASE = 4, SCFIND_WORDSTART = 0x00100000, SCFIND_REGEXP = 0x00200000, SCFIND_POSIX = 0x00400000, SCFIND_CXX11REGEX = 0x00800000 }
enum | { SC_FOLDLEVELBASE = 0x00400, SC_FOLDLEVELWHITEFLAG = 0x01000, SC_FOLDLEVELHEADERFLAG = 0x02000, SC_FOLDLEVELNUMBERMASK = 0x00fff }
enum | { SC_FOLDFLAG_LINEBEFORE_EXPANDED = 0x0002, SC_FOLDFLAG_LINEBEFORE_CONTRACTED = 0x0004, SC_FOLDFLAG_LINEAFTER_EXPANDED = 0x0008, SC_FOLDFLAG_LINEAFTER_CONTRACTED = 0x0010, SC_FOLDFLAG_LEVELNUMBERS = 0x0040, SC_FOLDFLAG_LINESTATE = 0x0080 }
enum | { SC_LINE_END_TYPE_DEFAULT = 0, SC_LINE_END_TYPE_UNICODE = 1 }
enum | { SC_TIME_FOREVER = 10000000 }
enum | { SC_WRAP_NONE = 0, SC_WRAP_WORD = 1, SC_WRAP_CHAR = 2, SC_WRAP_WHITESPACE = 3 }
enum | { SC_WRAPINDENT_FIXED = 0, SC_WRAPINDENT_SAME = 1, SC_WRAPINDENT_INDENT = 2 }
enum | { SC_CACHE_NONE = 0, SC_CACHE_CARET = 1, SC_CACHE_PAGE = 2, SC_CACHE_DOCUMENT = 3 }
enum | { SC_PHASES_ONE = 0, SC_PHASES_TWO = 1, SC_PHASES_MULTIPLE = 2 }
enum | { ANNOTATION_HIDDEN = 0, ANNOTATION_STANDARD = 1, ANNOTATION_BOXED = 2, ANNOTATION_INDENTED = 3 }
enum | { EDGE_NONE = 0, EDGE_LINE = 1, EDGE_BACKGROUND = 2 }
enum | { SC_CURSORNORMAL = -1, SC_CURSORARROW = 2, SC_CURSORWAIT = 4, SC_CURSORREVERSEARROW = 7 }
enum | { UNDO_MAY_COALESCE = 1 }
enum | { VISIBLE_SLOP = 0x01, VISIBLE_STRICT = 0x04 }
enum | { CARET_SLOP = 0x01, CARET_STRICT = 0x04, CARET_JUMPS = 0x10, CARET_EVEN = 0x08 }
enum | { CARETSTYLE_INVISIBLE = 0, CARETSTYLE_LINE = 1, CARETSTYLE_BLOCK = 2 }
enum | { SC_MOD_INSERTTEXT = 0x1, SC_MOD_DELETETEXT = 0x2, SC_MOD_CHANGESTYLE = 0x4, SC_MOD_CHANGEFOLD = 0x8, SC_PERFORMED_USER = 0x10, SC_PERFORMED_UNDO = 0x20, SC_PERFORMED_REDO = 0x40, SC_MULTISTEPUNDOREDO = 0x80, SC_LASTSTEPINUNDOREDO = 0x100, SC_MOD_CHANGEMARKER = 0x200, SC_MOD_BEFOREINSERT = 0x400, SC_MOD_BEFOREDELETE = 0x800, SC_MULTILINEUNDOREDO = 0x1000, SC_STARTACTION = 0x2000, SC_MOD_CHANGEINDICATOR = 0x4000, SC_MOD_CHANGELINESTATE = 0x8000, SC_MOD_CHANGEMARGIN = 0x10000, SC_MOD_CHANGEANNOTATION = 0x20000, SC_MOD_CONTAINER = 0x40000, SC_MOD_LEXERSTATE = 0x80000, SC_MOD_INSERTCHECK = 0x100000, SC_MOD_CHANGETABSTOPS = 0x200000, SC_MODEVENTMASKALL = 0x3fffff }
enum | { SCK_DOWN = 300, SCK_UP = 301, SCK_LEFT = 302, SCK_RIGHT = 303, SCK_HOME = 304, SCK_END = 305, SCK_PRIOR = 306, SCK_NEXT = 307, SCK_DELETE = 308, SCK_INSERT = 309, SCK_ESCAPE = 7, SCK_BACK = 8, SCK_TAB = 9, SCK_RETURN = 13, SCK_ADD = 310, SCK_SUBTRACT = 311, SCK_DIVIDE = 312, SCK_WIN = 313, SCK_RWIN = 314, SCK_MENU = 315 }
enum | { SCMOD_NORM = 0, SCMOD_SHIFT = 1, SCMOD_CTRL = 2, SCMOD_ALT = 4, SCMOD_SUPER = 8, SCMOD_META = 16 }
enum | { SCLEX_CONTAINER = 0, SCLEX_NULL = 1, SCLEX_PYTHON = 2, SCLEX_CPP = 3, SCLEX_HTML = 4, SCLEX_XML = 5, SCLEX_PERL = 6, SCLEX_SQL = 7, SCLEX_VB = 8, SCLEX_PROPERTIES = 9, SCLEX_ERRORLIST = 10, SCLEX_MAKEFILE = 11, SCLEX_BATCH = 12, SCLEX_LATEX = 14, SCLEX_LUA = 15, SCLEX_DIFF = 16, SCLEX_CONF = 17, SCLEX_PASCAL = 18, SCLEX_AVE = 19, SCLEX_ADA = 20, SCLEX_LISP = 21, SCLEX_RUBY = 22, SCLEX_EIFFEL = 23, SCLEX_EIFFELKW = 24, SCLEX_TCL = 25, SCLEX_NNCRONTAB = 26, SCLEX_BULLANT = 27, SCLEX_VBSCRIPT = 28, SCLEX_ASP = SCLEX_HTML, SCLEX_PHP = SCLEX_HTML, SCLEX_BAAN = 31, SCLEX_MATLAB = 32, SCLEX_SCRIPTOL = 33, SCLEX_ASM = 34, SCLEX_CPPNOCASE = 35, SCLEX_FORTRAN = 36, SCLEX_F77 = 37, SCLEX_CSS = 38, SCLEX_POV = 39, SCLEX_LOUT = 40, SCLEX_ESCRIPT = 41, SCLEX_PS = 42, SCLEX_NSIS = 43, SCLEX_MMIXAL = 44, SCLEX_CLW = 45, SCLEX_CLWNOCASE = 46, SCLEX_LOT = 47, SCLEX_YAML = 48, SCLEX_TEX = 49, SCLEX_METAPOST = 50, SCLEX_POWERBASIC = 51, SCLEX_FORTH = 52, SCLEX_ERLANG = 53, SCLEX_OCTAVE = 54, SCLEX_MSSQL = 55, SCLEX_VERILOG = 56, SCLEX_KIX = 57, SCLEX_GUI4CLI = 58, SCLEX_SPECMAN = 59, SCLEX_AU3 = 60, SCLEX_APDL = 61, SCLEX_BASH = 62, SCLEX_ASN1 = 63, SCLEX_VHDL = 64, SCLEX_CAML = 65, SCLEX_BLITZBASIC = 66, SCLEX_PUREBASIC = 67, SCLEX_HASKELL = 68, SCLEX_PHPSCRIPT = 69, SCLEX_TADS3 = 70, SCLEX_REBOL = 71, SCLEX_SMALLTALK = 72, SCLEX_FLAGSHIP = 73, SCLEX_CSOUND = 74, SCLEX_FREEBASIC = 75, SCLEX_INNOSETUP = 76, SCLEX_OPAL = 77, SCLEX_SPICE = 78, SCLEX_D = 79, SCLEX_CMAKE = 80, SCLEX_GAP = 81, SCLEX_PLM = 82, SCLEX_PROGRESS = 83, SCLEX_ABAQUS = 84, SCLEX_ASYMPTOTE = 85, SCLEX_R = 86, SCLEX_MAGIK = 87, SCLEX_POWERSHELL = 88, SCLEX_MYSQL = 89, SCLEX_PO = 90, SCLEX_TAL = 91, SCLEX_COBOL = 92, SCLEX_TACL = 93, SCLEX_SORCUS = 94, SCLEX_POWERPRO = 95, SCLEX_NIMROD = 96, SCLEX_SML = 97, SCLEX_MARKDOWN = 98, SCLEX_TXT2TAGS = 99, SCLEX_A68K = 100, SCLEX_MODULA = 101, SCLEX_COFFEESCRIPT = 102, SCLEX_TCMD = 103, SCLEX_AVS = 104, SCLEX_ECL = 105, SCLEX_OSCRIPT = 106, SCLEX_VISUALPROLOG = 107, SCLEX_LITERATEHASKELL = 108, SCLEX_STTXT = 109, SCLEX_KVIRC = 110, SCLEX_RUST = 111, SCLEX_DMAP = 112, SCLEX_AS = 113, SCLEX_DMIS = 114, SCLEX_REGISTRY = 115, SCLEX_BIBTEX = 116, SCLEX_SREC = 117, SCLEX_IHEX = 118, SCLEX_TEHEX = 119 }
enum | { SC_WEIGHT_NORMAL = 400, SC_WEIGHT_SEMIBOLD = 600, SC_WEIGHT_BOLD = 700 }
enum | { SC_TECHNOLOGY_DEFAULT = 0, SC_TECHNOLOGY_DIRECTWRITE = 1, SC_TECHNOLOGY_DIRECTWRITERETAIN = 2, SC_TECHNOLOGY_DIRECTWRITEDC = 3 }
enum | { SC_CASEINSENSITIVEBEHAVIOUR_RESPECTCASE = 0, SC_CASEINSENSITIVEBEHAVIOUR_IGNORECASE = 1 }
enum | { SC_FONT_SIZE_MULTIPLIER = 100 }
enum | { SC_FOLDACTION_CONTRACT = 0, SC_FOLDACTION_EXPAND = 1, SC_FOLDACTION_TOGGLE = 2 }
enum | { SC_AUTOMATICFOLD_SHOW = 0x0001, SC_AUTOMATICFOLD_CLICK = 0x0002, SC_AUTOMATICFOLD_CHANGE = 0x0004 }
enum | { SC_ORDER_PRESORTED = 0, SC_ORDER_PERFORMSORT = 1, SC_ORDER_CUSTOM = 2 }

## Public Slots
virtual void | append (const QString &text)
virtual void | autoCompleteFromAll ()
virtual void | autoCompleteFromAPIs ()
virtual void | autoCompleteFromDocument ()
virtual void | callTip ()
virtual void | clear ()
virtual void | copy ()
virtual void | cut ()
virtual void | ensureCursorVisible ()
virtual void | ensureLineVisible (int line)
virtual void | foldAll (bool children=false)
virtual void | foldLine (int line)
virtual void | indent (int line)
virtual void | insert (const QString &text)
virtual void | insertAt (const QString &text, int line, int index)
virtual void | moveToMatchingBrace ()
virtual void | paste ()
virtual void | redo ()
virtual void | removeSelectedText ()
virtual void | replaceSelectedText (const QString &text)
virtual void | resetSelectionBackgroundColor ()
virtual void | resetSelectionForegroundColor ()
virtual void | selectAll (bool select=true)
virtual void | selectToMatchingBrace ()
virtual void | setAutoCompletionCaseSensitivity (bool cs)
virtual void | setAutoCompletionReplaceWord (bool replace)
virtual void | setAutoCompletionShowSingle (bool single)
virtual void | setAutoCompletionSource (AutoCompletionSource source)
virtual void | setAutoCompletionThreshold (int thresh)
virtual void | setAutoCompletionUseSingle (AutoCompletionUseSingle single)
virtual void | setAutoIndent (bool autoindent)
virtual void | setBraceMatching (BraceMatch bm)
virtual void | setBackspaceUnindents (bool unindent)
virtual void | setCaretForegroundColor (const QColor &col)
virtual void | setCaretLineBackgroundColor (const QColor &col)
virtual void | setCaretLineVisible (bool enable)
virtual void | setCaretWidth (int width)
virtual void | setColor (const QColor &c)
virtual void | setCursorPosition (int line, int index)
virtual void | setEolMode (EolMode mode)
virtual void | setEolVisibility (bool visible)
virtual void | setFolding (FoldStyle fold, int margin=2)
virtual void | setIndentation (int line, int indentation)
virtual void | setIndentationGuides (bool enable)
virtual void | setIndentationGuidesBackgroundColor (const QColor &col)
virtual void | setIndentationGuidesForegroundColor (const QColor &col)
virtual void | setIndentationsUseTabs (bool tabs)
virtual void | setIndentationWidth (int width)
virtual void | setLexer (QsciLexer *lexer=0)
virtual void | setMarginsBackgroundColor (const QColor &col)
virtual void | setMarginsFont (const QFont &f)
virtual void | setMarginsForegroundColor (const QColor &col)
virtual void | setMarginLineNumbers (int margin, bool lnrs)
virtual void | setMarginMarkerMask (int margin, int mask)
virtual void | setMarginSensitivity (int margin, bool sens)
virtual void | setMarginWidth (int margin, int width)
virtual void | setMarginWidth (int margin, const QString &s)
virtual void | setModified (bool m)
virtual void | setPaper (const QColor &c)
virtual void | setReadOnly (bool ro)
virtual void | setSelection (int lineFrom, int indexFrom, int lineTo, int indexTo)
virtual void | setSelectionBackgroundColor (const QColor &col)
virtual void | setSelectionForegroundColor (const QColor &col)
virtual void | setTabIndents (bool indent)
virtual void | setTabWidth (int width)
virtual void | setText (const QString &text)
virtual void | setUtf8 (bool cp)
virtual void | setWhitespaceVisibility (WhitespaceVisibility mode)
virtual void | setWrapMode (WrapMode mode)
virtual void | undo ()
virtual void | unindent (int line)
virtual void | zoomIn (int range)
virtual void | zoomIn ()
virtual void | zoomOut (int range)
virtual void | zoomOut ()
virtual void | zoomTo (int size)

## Signals
void | cursorPositionChanged (int line, int index)
void | copyAvailable (bool yes)
void | indicatorClicked (int line, int index, Qt::KeyboardModifiers state)
void | indicatorReleased (int line, int index, Qt::KeyboardModifiers state)
void | linesChanged ()
void | marginClicked (int margin, int line, Qt::KeyboardModifiers state)
void | modificationAttempted ()
void | modificationChanged (bool m)
void | selectionChanged ()
void | textChanged ()
void | userListActivated (int id, const QString &string)
Signals inherited from QsciScintillaBase
void | QSCN_SELCHANGED (bool yes)
void | SCN_AUTOCCANCELLED ()
void | SCN_AUTOCCHARDELETED ()
void | SCN_AUTOCSELECTION (const char *selection, int position)
void | SCEN_CHANGE ()
void | SCN_CALLTIPCLICK (int direction)
void | SCN_CHARADDED (int charadded)
void | SCN_DOUBLECLICK (int position, int line, int modifiers)
void | SCN_DWELLEND (int, int, int)
void | SCN_DWELLSTART (int, int, int)
void | SCN_FOCUSIN ()
void | SCN_FOCUSOUT ()
void | SCN_HOTSPOTCLICK (int position, int modifiers)
void | SCN_HOTSPOTDOUBLECLICK (int position, int modifiers)
void | SCN_HOTSPOTRELEASECLICK (int position, int modifiers)
void | SCN_INDICATORCLICK (int position, int modifiers)
void | SCN_INDICATORRELEASE (int position, int modifiers)
void | SCN_MACRORECORD (unsigned int, unsigned long, void *)
void | SCN_MARGINCLICK (int position, int modifiers, int margin)
void | SCN_MODIFIED (int, int, const char *, int, int, int, int, int, int, int)
void | SCN_MODIFYATTEMPTRO ()
void | SCN_NEEDSHOWN (int, int)
void | SCN_PAINTED ()
void | SCN_SAVEPOINTLEFT ()
void | SCN_SAVEPOINTREACHED ()
void | SCN_STYLENEEDED (int position)
void | SCN_UPDATEUI (int updated)
void | SCN_USERLISTSELECTION (const char *, int)
void | SCN_ZOOM ()

## Public Member Functions
| QsciScintilla (QWidget *parent=0)
virtual | ~QsciScintilla ()
virtual QStringList | apiContext (int pos, int &context_start, int &last_word_start)
void | annotate (int line, const QString &text, int style)
void | annotate (int line, const QString &text, const QsciStyle &style)
void | annotate (int line, const QsciStyledText &text)
void | annotate (int line, const QList< QsciStyledText > &text)
QString | annotation (int line) const
AnnotationDisplay | annotationDisplay () const
void | clearAnnotations (int line=-1)
bool | autoCompletionCaseSensitivity () const
bool | autoCompletionFillupsEnabled () const
bool | autoCompletionReplaceWord () const
bool | autoCompletionShowSingle () const
AutoCompletionSource | autoCompletionSource () const
int | autoCompletionThreshold () const
AutoCompletionUseSingle | autoCompletionUseSingle () const
bool | autoIndent () const
bool | backspaceUnindents () const
void | beginUndoAction ()
BraceMatch | braceMatching () const
CallTipsPosition | callTipsPosition () const
CallTipsStyle | callTipsStyle () const
int | callTipsVisible () const
void | cancelList ()
bool | caseSensitive () const
void | clearFolds ()
void | clearIndicatorRange (int lineFrom, int indexFrom, int lineTo, int indexTo, int indicatorNumber)
void | clearRegisteredImages ()
QColor | color () const
QList< int > | contractedFolds () const
void | convertEols (EolMode mode)
QMenu * | createStandardContextMenu ()
QsciDocument | document () const
void | endUndoAction ()
QColor | edgeColor () const
int | edgeColumn () const
EdgeMode | edgeMode () const
void | setFont (const QFont &f)
EolMode | eolMode () const
bool | eolVisibility () const
int | extraAscent () const
int | extraDescent () const
void | fillIndicatorRange (int lineFrom, int indexFrom, int lineTo, int indexTo, int indicatorNumber)
virtual bool | findFirst (const QString &expr, bool re, bool cs, bool wo, bool wrap, bool forward=true, int line=-1, int index=-1, bool show=true, bool posix=false)
virtual bool | findFirstInSelection (const QString &expr, bool re, bool cs, bool wo, bool forward=true, bool show=true, bool posix=false)
virtual bool | findNext ()
int | firstVisibleLine () const
FoldStyle | folding () const
void | getCursorPosition (int *line, int *index) const
void | getSelection (int *lineFrom, int *indexFrom, int *lineTo, int *indexTo) const
bool | hasSelectedText () const
int | indentation (int line) const
bool | indentationGuides () const
bool | indentationsUseTabs () const
int | indentationWidth () const
int | indicatorDefine (IndicatorStyle style, int indicatorNumber=-1)
bool | indicatorDrawUnder (int indicatorNumber) const
bool | isCallTipActive () const
bool | isListActive () const
bool | isModified () const
bool | isReadOnly () const
bool | isRedoAvailable () const
bool | isUndoAvailable () const
bool | isUtf8 () const
bool | isWordCharacter (char ch) const
int | lineAt (const QPoint &point) const
void | lineIndexFromPosition (int position, int *line, int *index) const
int | lineLength (int line) const
int | lines () const
int | length () const
QsciLexer * | lexer () const
bool | marginLineNumbers (int margin) const
int | marginMarkerMask (int margin) const
int | marginOptions () const
bool | marginSensitivity (int margin) const
MarginType | marginType (int margin) const
int | marginWidth (int margin) const
int | markerDefine (MarkerSymbol sym, int markerNumber=-1)
int | markerDefine (char ch, int markerNumber=-1)
int | markerDefine (const QPixmap &pm, int markerNumber=-1)
int | markerDefine (const QImage &im, int markerNumber=-1)
int | markerAdd (int linenr, int markerNumber)
unsigned | markersAtLine (int linenr) const
void | markerDelete (int linenr, int markerNumber=-1)
void | markerDeleteAll (int markerNumber=-1)
void | markerDeleteHandle (int mhandle)
int | markerLine (int mhandle) const
int | markerFindNext (int linenr, unsigned mask) const
int | markerFindPrevious (int linenr, unsigned mask) const
bool | overwriteMode () const
QColor | paper () const
int | positionFromLineIndex (int line, int index) const
bool | read (QIODevice *io)
virtual void | recolor (int start=0, int end=-1)
void | registerImage (int id, const QPixmap &pm)
void | registerImage (int id, const QImage &im)
virtual void | replace (const QString &replaceStr)
void | resetFoldMarginColors ()
void | resetHotspotBackgroundColor ()
void | resetHotspotForegroundColor ()
void | setFoldMarginColors (const QColor &fore, const QColor &back)
void | setAnnotationDisplay (AnnotationDisplay display)
void | setAutoCompletionFillupsEnabled (bool enabled)
void | setAutoCompletionFillups (const char *fillups)
void | setAutoCompletionWordSeparators (const QStringList &separators)
void | setCallTipsBackgroundColor (const QColor &col)
void | setCallTipsForegroundColor (const QColor &col)
void | setCallTipsHighlightColor (const QColor &col)
void | setCallTipsPosition (CallTipsPosition position)
void | setCallTipsStyle (CallTipsStyle style)
void | setCallTipsVisible (int nr)
void | setContractedFolds (const QList< int > &folds)
void | setDocument (const QsciDocument &document)
void | setEdgeColor (const QColor &col)
void | setEdgeColumn (int colnr)
void | setEdgeMode (EdgeMode mode)
void | setFirstVisibleLine (int linenr)
void | setIndicatorDrawUnder (bool under, int indicatorNumber=-1)
void | setIndicatorForegroundColor (const QColor &col, int indicatorNumber=-1)
void | setIndicatorHoverForegroundColor (const QColor &col, int indicatorNumber=-1)
void | setIndicatorHoverStyle (IndicatorStyle style, int indicatorNumber=-1)
void | setIndicatorOutlineColor (const QColor &col, int indicatorNumber=-1)
void | setMarginOptions (int options)
void | setMarginText (int line, const QString &text, int style)
void | setMarginText (int line, const QString &text, const QsciStyle &style)
void | setMarginText (int line, const QsciStyledText &text)
void | setMarginText (int line, const QList< QsciStyledText > &text)
void | setMarginType (int margin, MarginType type)
void | clearMarginText (int line=-1)
void | setMarkerBackgroundColor (const QColor &col, int markerNumber=-1)
void | setMarkerForegroundColor (const QColor &col, int markerNumber=-1)
void | setMatchedBraceBackgroundColor (const QColor &col)
void | setMatchedBraceForegroundColor (const QColor &col)
void | setMatchedBraceIndicator (int indicatorNumber)
void | resetMatchedBraceIndicator ()
void | setUnmatchedBraceBackgroundColor (const QColor &col)
void | setUnmatchedBraceForegroundColor (const QColor &col)
void | setUnmatchedBraceIndicator (int indicatorNumber)
void | resetUnmatchedBraceIndicator ()
void | setWrapVisualFlags (WrapVisualFlag endFlag, WrapVisualFlag startFlag=WrapFlagNone, int indent=0)
QString | selectedText () const
bool | selectionToEol () const
void | setHotspotBackgroundColor (const QColor &col)
void | setHotspotForegroundColor (const QColor &col)
void | setHotspotUnderline (bool enable)
void | setHotspotWrap (bool enable)
void | setSelectionToEol (bool filled)
void | setExtraAscent (int extra)
void | setExtraDescent (int extra)
void | setOverwriteMode (bool overwrite)
void | setWhitespaceBackgroundColor (const QColor &col)
void | setWhitespaceForegroundColor (const QColor &col)
void | setWhitespaceSize (int size)
void | setWrapIndentMode (WrapIndentMode mode)
void | showUserList (int id, const QStringList &list)
QsciCommandSet * | standardCommands () const
bool | tabIndents () const
int | tabWidth () const
QString | text () const
QString | text (int line) const
int | textHeight (int linenr) const
int | whitespaceSize () const
WhitespaceVisibility | whitespaceVisibility () const
QString | wordAtLineIndex (int line, int index) const
QString | wordAtPoint (const QPoint &point) const
const char * | wordCharacters () const
WrapMode | wrapMode () const
WrapIndentMode | wrapIndentMode () const
bool | write (QIODevice *io) const
Public Member Functions inherited from QsciScintillaBase
| QsciScintillaBase (QWidget *parent=0)
virtual | ~QsciScintillaBase ()
long | SendScintilla (unsigned int msg, unsigned long wParam=0, long lParam=0) const
long | SendScintilla (unsigned int msg, unsigned long wParam, void *lParam) const
long | SendScintilla (unsigned int msg, unsigned long wParam, const char *lParam) const
long | SendScintilla (unsigned int msg, const char *lParam) const
long | SendScintilla (unsigned int msg, const char *wParam, const char *lParam) const
long | SendScintilla (unsigned int msg, long wParam) const
long | SendScintilla (unsigned int msg, int wParam) const
long | SendScintilla (unsigned int msg, long cpMin, long cpMax, char *lpstrText) const
long | SendScintilla (unsigned int msg, unsigned long wParam, const QColor &col) const
long | SendScintilla (unsigned int msg, const QColor &col) const
long | SendScintilla (unsigned int msg, unsigned long wParam, QPainter *hdc, const QRect &rc, long cpMin, long cpMax) const
long | SendScintilla (unsigned int msg, unsigned long wParam, const QPixmap &lParam) const
long | SendScintilla (unsigned int msg, unsigned long wParam, const QImage &lParam) const
void * | SendScintillaPtrResult (unsigned int msg) const

## Protected Member Functions
virtual bool | event (QEvent *e)
virtual void | changeEvent (QEvent *e)
virtual void | contextMenuEvent (QContextMenuEvent *e)
Protected Member Functions inherited from QsciScintillaBase
virtual bool | canInsertFromMimeData (const QMimeData *source) const
virtual QByteArray | fromMimeData (const QMimeData *source, bool &rectangular) const
virtual QMimeData * | toMimeData (const QByteArray &text, bool rectangular) const
virtual void | dragEnterEvent (QDragEnterEvent *e)
virtual void | dragLeaveEvent (QDragLeaveEvent *e)
virtual void | dragMoveEvent (QDragMoveEvent *e)
virtual void | dropEvent (QDropEvent *e)
virtual void | focusInEvent (QFocusEvent *e)
virtual void | focusOutEvent (QFocusEvent *e)
virtual bool | focusNextPrevChild (bool next)
virtual void | keyPressEvent (QKeyEvent *e)
virtual void | inputMethodEvent (QInputMethodEvent *event)
virtual QVariant | inputMethodQuery (Qt::InputMethodQuery query) const
virtual void | mouseDoubleClickEvent (QMouseEvent *e)
virtual void | mouseMoveEvent (QMouseEvent *e)
virtual void | mousePressEvent (QMouseEvent *e)
virtual void | mouseReleaseEvent (QMouseEvent *e)
virtual void | paintEvent (QPaintEvent *e)
virtual void | resizeEvent (QResizeEvent *e)
virtual void | scrollContentsBy (int dx, int dy)
void | setScrollBars ()
ScintillaBytes | textAsBytes (const QString &text) const
QString | bytesAsText (const char *bytes) const

## Additional Inherited Members
Static Public Member Functions inherited from QsciScintillaBase
static QsciScintillaBase * | pool ()
static int | commandKey (int qt_key, int &modifiers)
Protected Types inherited from QsciScintillaBase
typedef QByteArray | ScintillaBytes

## Detailed Description

The QsciScintilla class implements a higher level, more Qt-like, API to the Scintilla editor widget.

QsciScintilla implements methods, signals and slots similar to those found in other Qt editor classes. It also provides a higher level interface to features specific to Scintilla such as syntax styling, call tips, auto-indenting and auto-completion than that provided by QsciScintillaBase.

## Member Enumeration Documentation

anonymous enum

This enum defines the different auto-indentation styles.

Enumerator
AiMaintain | A line is automatically indented to match the previous line.
AiOpening | If the language supported by the current lexer has a specific start of block character (e.g. { in C++), then a line that begins with that character is indented as well as the lines that make up the block. It may be logically ored with AiClosing.
AiClosing | If the language supported by the current lexer has a specific end of block character (e.g. } in C++), then a line that begins with that character is indented as well as the lines that make up the block. It may be logically ored with AiOpening.

enum QsciScintilla::AnnotationDisplay

This enum defines the different annotation display styles.

Enumerator
AnnotationHidden | Annotations are not displayed.
AnnotationStandard | Annotations are drawn left justified with no adornment.
AnnotationBoxed | Annotations are surrounded by a box.
AnnotationIndented | Annotations are indented to match the text.

enum QsciScintilla::AutoCompletionUseSingle

This enum defines the behavior if an auto-completion list contains a single entry.

Enumerator
AcusNever | The single entry is not used automatically and the auto-completion list is displayed.
AcusExplicit | The single entry is used automatically when auto-completion is explicitly requested (using autoCompleteFromAPIs() or autoCompleteFromDocument()) but not when auto-completion is triggered as the user types.
AcusAlways | The single entry is used automatically and the auto-completion list is not displayed.

enum QsciScintilla::AutoCompletionSource

This enum defines the different sources for auto-completion lists.

Enumerator
AcsNone | No sources are used, ie. automatic auto-completion is disabled.
AcsAll | The source is all available sources.
AcsDocument | The source is the current document.
AcsAPIs | The source is any installed APIs.

enum QsciScintilla::BraceMatch

This enum defines the different brace matching modes. The character pairs {}, [] and () are treated as braces. The Python lexer will also match a : with the end of the corresponding indented block.

Enumerator
NoBraceMatch | Brace matching is disabled.
StrictBraceMatch | Brace matching is enabled for a brace immediately before the current position.
SloppyBraceMatch | Brace matching is enabled for a brace immediately before or after the current position.

enum QsciScintilla::CallTipsPosition

This enum defines the different call tip positions.

Enumerator
CallTipsBelowText | Call tips are placed below the text.
CallTipsAboveText | Call tips are placed above the text.

enum QsciScintilla::CallTipsStyle

This enum defines the different call tip styles.

Enumerator
CallTipsNone | Call tips are disabled.
CallTipsNoContext | Call tips are displayed without a context. A context is any scope (e.g. a C++ namespace or a Python module) prior to the function name.
CallTipsNoAutoCompletionContext | Call tips are displayed with a context only if the user hasn't already implicitly identified the context using autocompletion. Note that this style may not always be able to align the call tip with the text being entered.
CallTipsContext | Call tips are displayed with a context. Note that this style may not always be able to align the call tip with the text being entered.

enum QsciScintilla::EdgeMode

This enum defines the different edge modes for long lines.

Enumerator
EdgeNone | Long lines are not marked.
EdgeLine | A vertical line is drawn at the column set by setEdgeColumn(). This is recommended for monospace fonts.
EdgeBackground | The background color of characters after the column limit is changed to the color set by setEdgeColor(). This is recommended for proportional fonts.

enum QsciScintilla::EolMode

This enum defines the different end-of-line modes.

Enumerator
EolWindows | A carriage return/line feed as used on Windows systems.
EolUnix | A line feed as used on Unix systems, including OS/X.
EolMac | A carriage return as used on Mac systems prior to OS/X.

enum QsciScintilla::FoldStyle

This enum defines the different styles for the folding margin.

Enumerator
NoFoldStyle | Folding is disabled.
PlainFoldStyle | Plain folding style using plus and minus symbols.
CircledFoldStyle | Circled folding style using circled plus and minus symbols.
BoxedFoldStyle | Boxed folding style using boxed plus and minus symbols.
CircledTreeFoldStyle | Circled tree style using a flattened tree with circled plus and minus symbols and rounded corners.
BoxedTreeFoldStyle | Boxed tree style using a flattened tree with boxed plus and minus symbols and right-angled corners.

enum QsciScintilla::IndicatorStyle

This enum defines the different indicator styles.

Enumerator
PlainIndicator | A single straight underline.
SquiggleIndicator | A squiggly underline that requires 3 pixels of descender space.
TTIndicator | A line of small T shapes.
DiagonalIndicator | Diagonal hatching.
StrikeIndicator | Strike out.
HiddenIndicator | An indicator with no visual appearence.
BoxIndicator | A rectangle around the text.
RoundBoxIndicator | A rectangle with rounded corners around the text with the interior usually more transparent than the border.
StraightBoxIndicator | A rectangle around the text with the interior usually more transparent than the border. It does not colour the top pixel of the line so that indicators on contiguous lines are visually distinct and disconnected.
FullBoxIndicator | A rectangle around the text with the interior usually more transparent than the border. Unlike StraightBoxIndicator it covers the entire character area.
DashesIndicator | A dashed underline.
DotsIndicator | A dotted underline.
SquiggleLowIndicator | A squiggly underline that requires 2 pixels of descender space and so will fit under smaller fonts.
DotBoxIndicator | A dotted rectangle around the text with the interior usually more transparent than the border.
SquigglePixmapIndicator | A version of SquiggleIndicator that uses a pixmap. This is quicker but may be of lower quality.
ThickCompositionIndicator | A thick underline typically used for the target during Asian language input composition.
ThinCompositionIndicator | A thin underline typically used for non-target ranges during Asian language input composition.
TextColorIndicator | The color of the text is set to the color of the indicator's foreground.

anonymous enum

This enum defines the different margin options.

Enumerator
MoNone | Reset all margin options.
MoSublineSelect | If this is set then only the first sub-line of a wrapped line will be selected when clicking on a margin.

enum QsciScintilla::MarginType

This enum defines the different margin types.

Enumerator
SymbolMargin | The margin contains symbols, including those used for folding.
SymbolMarginDefaultForegroundColor | The margin contains symbols and uses the default foreground color as its background color.
SymbolMarginDefaultBackgroundColor | The margin contains symbols and uses the default background color as its background color.
NumberMargin | The margin contains line numbers.
TextMargin | The margin contains styled text.
TextMarginRightJustified | The margin contains right justified styled text.

enum QsciScintilla::MarkerSymbol

This enum defines the different pre-defined marker symbols.

Enumerator
Circle | A circle.
Rectangle | A rectangle.
RightTriangle | A triangle pointing to the right.
SmallRectangle | A smaller rectangle.
RightArrow | An arrow pointing to the right.
Invisible | An invisible marker that allows code to track the movement of lines.
DownTriangle | A triangle pointing down.
Minus | A drawn minus sign.
Plus | A drawn plus sign.
VerticalLine | A vertical line drawn in the background colour.
BottomLeftCorner | A bottom left corner drawn in the background colour.
LeftSideSplitter | A vertical line with a centre right horizontal line drawn in the background colour.
BoxedPlus | A drawn plus sign in a box.
BoxedPlusConnected | A drawn plus sign in a connected box.
BoxedMinus | A drawn minus sign in a box.
BoxedMinusConnected | A drawn minus sign in a connected box.
RoundedBottomLeftCorner | A rounded bottom left corner drawn in the background colour.
LeftSideRoundedSplitter | A vertical line with a centre right curved line drawn in the background colour.
CircledPlus | A drawn plus sign in a circle.
CircledPlusConnected | A drawn plus sign in a connected box.
CircledMinus | A drawn minus sign in a circle.
CircledMinusConnected | A drawn minus sign in a connected circle.
Background | No symbol is drawn but the line is drawn with the same background color as the marker's.
ThreeDots | Three drawn dots.
ThreeRightArrows | Three drawn arrows pointing right.
FullRectangle | A full rectangle (ie. the margin background) using the marker's background color.
LeftRectangle | A left rectangle (ie. the left part of the margin background) using the marker's background color.
Underline | No symbol is drawn but the line is drawn underlined using the marker's background color.
Bookmark | A bookmark.

enum QsciScintilla::WhitespaceVisibility

This enum defines the different whitespace visibility modes. When whitespace is visible spaces are displayed as small centred dots and tabs are displayed as light arrows pointing to the right.

Enumerator
WsInvisible | Whitespace is invisible.
WsVisible | Whitespace is always visible.
WsVisibleAfterIndent | Whitespace is visible after the whitespace used for indentation.

enum QsciScintilla::WrapMode

This enum defines the different line wrap modes.

Enumerator
WrapNone | Lines are not wrapped.
WrapWord | Lines are wrapped at word boundaries.
WrapCharacter | Lines are wrapped at character boundaries.
WrapWhitespace | Lines are wrapped at whitespace boundaries.

enum QsciScintilla::WrapVisualFlag

This enum defines the different line wrap visual flags.

Enumerator
WrapFlagNone | No wrap flag is displayed.
WrapFlagByText | A wrap flag is displayed by the text.
WrapFlagByBorder | A wrap flag is displayed by the border.
WrapFlagInMargin | A wrap flag is displayed in the line number margin.

enum QsciScintilla::WrapIndentMode

This enum defines the different line wrap indentation modes.

Enumerator
WrapIndentFixed | Wrapped sub-lines are indented by the amount set by setWrapVisualFlags().
WrapIndentSame | Wrapped sub-lines are indented by the same amount as the first sub-line.
WrapIndentIndented | Wrapped sub-lines are indented by the same amount as the first sub-line plus one more level of indentation.

## Member Function Documentation

virtual QStringList QsciScintilla::apiContext | ( | int | pos,
|  | int & | context_start,
|  | int & | last_word_start
| ) |  |
| virtual

Returns the API context, which is a list of words, before the position pos in the document. The context can be used by auto-completion and call tips to help to identify which API call the user is referring to. In the default implementation the current lexer determines what characters make up a word, and what characters determine the boundaries of words (ie. the start characters). If there is no current lexer then the context will consist of a single word. On return context_start will contain the position in the document of the start of the context and last_word_start will contain the position in the document of the start of the last word of the context.

void QsciScintilla::annotate | ( | int | line,
|  | const QString & | text,
|  | int | style
| ) |  |

Annotate the line line with the text text using the style number style.

void QsciScintilla::annotate | ( | int | line,
|  | const QString & | text,
|  | const QsciStyle & | style
| ) |  |

Annotate the line line with the text text using the style style.

AnnotationDisplay QsciScintilla::annotationDisplay | ( |  | ) | const

Returns the display style for annotations.

See also
  setAnnotationDisplay()

void QsciScintilla::clearAnnotations | ( | int | line = `-1` | ) |

The annotations on line line are removed. If line is negative then all annotations are removed.

bool QsciScintilla::autoCompletionCaseSensitivity | ( |  | ) | const

Returns true if auto-completion lists are case sensitive.

See also
  setAutoCompletionCaseSensitivity()

bool QsciScintilla::autoCompletionFillupsEnabled | ( |  | ) | const

Returns true if auto-completion fill-up characters are enabled.

See also
  setAutoCompletionFillups(), setAutoCompletionFillupsEnabled()

bool QsciScintilla::autoCompletionReplaceWord | ( |  | ) | const

Returns true if the rest of the word to the right of the current cursor is removed when an item from an auto-completion list is selected.

See also
  setAutoCompletionReplaceWord()

bool QsciScintilla::autoCompletionShowSingle | ( |  | ) | const

Returns true if the only item in an auto-completion list with a single entry is automatically used and the list not displayed. Note that this is deprecated and autoCompletionUseSingle() should be used instead.

See also
  setAutoCompletionShowSingle()

AutoCompletionSource QsciScintilla::autoCompletionSource | ( |  | ) | const
| inline

Returns the current source for the auto-completion list when it is being displayed automatically as the user types.

See also
  setAutoCompletionSource()

int QsciScintilla::autoCompletionThreshold | ( |  | ) | const
| inline

Returns the current threshold for the automatic display of the auto-completion list as the user types.

See also
  setAutoCompletionThreshold()

AutoCompletionUseSingle QsciScintilla::autoCompletionUseSingle | ( |  | ) | const

Returns the current behavior when an auto-completion list contains a single entry.

See also
  setAutoCompletionUseSingle()

bool QsciScintilla::autoIndent | ( |  | ) | const
| inline

Returns true if auto-indentation is enabled.

See also
  setAutoIndent()

bool QsciScintilla::backspaceUnindents | ( |  | ) | const

Returns true if the backspace key unindents a line instead of deleting a character. The default is false.

See also
  setBackspaceUnindents(), tabIndents(), setTabIndents()

void QsciScintilla::beginUndoAction | ( |  | ) |

Mark the beginning of a sequence of actions that can be undone by a single call to undo().

See also
  endUndoAction(), undo()

BraceMatch QsciScintilla::braceMatching | ( |  | ) | const
| inline

Returns the brace matching mode.

See also
  setBraceMatching()

CallTipsPosition QsciScintilla::callTipsPosition | ( |  | ) | const
| inline

Returns the current call tip position.

See also
  setCallTipsPosition()

CallTipsStyle QsciScintilla::callTipsStyle | ( |  | ) | const
| inline

Returns the current call tip style.

See also
  setCallTipsStyle()

int QsciScintilla::callTipsVisible | ( |  | ) | const
| inline

Returns the maximum number of call tips that are displayed.

See also
  setCallTipsVisible()

bool QsciScintilla::caseSensitive | ( |  | ) | const

Returns true if the current language lexer is case sensitive. If there is no current lexer then true is returned.

void QsciScintilla::clearFolds | ( |  | ) |

Clear all current folds, i.e. ensure that all lines are displayed unfolded.

See also
  setFolding()

void QsciScintilla::clearIndicatorRange | ( | int | lineFrom,
|  | int | indexFrom,
|  | int | lineTo,
|  | int | indexTo,
|  | int | indicatorNumber
| ) |  |

Clears the range of text with indicator indicatorNumber starting at position indexFrom in line lineFrom and finishing at position indexTo in line lineTo.

See also
  fillIndicatorRange()

void QsciScintilla::clearRegisteredImages | ( |  | ) |

Clear all registered images.

See also
  registerImage()

QColor QsciScintilla::color | ( |  | ) | const

Returns the widget's text (ie. foreground) colour.

See also
  setColor()

QList<int> QsciScintilla::contractedFolds | ( |  | ) | const

Returns a list of the line numbers that have contracted folds. This is typically used to save the fold state of a document.

See also
  setContractedFolds()

void QsciScintilla::convertEols | ( | EolMode | mode | ) |

All the lines of the text have their end-of-lines converted to mode mode.

See also
  eolMode(), setEolMode()

QMenu* QsciScintilla::createStandardContextMenu | ( |  | ) |

Create the standard context menu which is shown when the user clicks with the right mouse button. It is called from contextMenuEvent(). The menu's ownership is transferred to the caller.

QsciDocument QsciScintilla::document | ( |  | ) | const
| inline

Returns the attached document.

See also
  setDocument()

void QsciScintilla::endUndoAction | ( |  | ) |

Mark the end of a sequence of actions that can be undone by a single call to undo().

See also
  beginUndoAction(), undo()

QColor QsciScintilla::edgeColor | ( |  | ) | const

Returns the color of the marker used to show that a line has exceeded the length set by setEdgeColumn().

See also
  setEdgeColor(),
  setEdgeColumn

int QsciScintilla::edgeColumn | ( |  | ) | const

Returns the number of the column after which lines are considered to be long.

See also
  setEdgeColumn()

EdgeMode QsciScintilla::edgeMode | ( |  | ) | const

Returns the edge mode which determines how long lines are marked.

See also
  setEdgeMode()

void QsciScintilla::setFont | ( | const QFont & | f | ) |

Set the default font. This has no effect if a language lexer has been set.

EolMode QsciScintilla::eolMode | ( |  | ) | const

Returns the end-of-line mode.

See also
  setEolMode()

bool QsciScintilla::eolVisibility | ( |  | ) | const

Returns the visibility of end-of-lines.

See also
  setEolVisibility()

int QsciScintilla::extraAscent | ( |  | ) | const

Returns the extra space added to the height of a line above the baseline of the text.

See also
  setExtraAscent(), extraDescent()

int QsciScintilla::extraDescent | ( |  | ) | const

Returns the extra space added to the height of a line below the baseline of the text.

See also
  setExtraDescent(), extraAscent()

void QsciScintilla::fillIndicatorRange | ( | int | lineFrom,
|  | int | indexFrom,
|  | int | lineTo,
|  | int | indexTo,
|  | int | indicatorNumber
| ) |  |

Fills the range of text with indicator indicatorNumber starting at position indexFrom in line lineFrom and finishing at position indexTo in line lineTo.

See also
  clearIndicatorRange()

virtual bool QsciScintilla::findFirst | ( | const QString & | expr,
|  | bool | re,
|  | bool | cs,
|  | bool | wo,
|  | bool | wrap,
|  | bool | forward = `true`,
|  | int | line = `-1`,
|  | int | index = `-1`,
|  | bool | show = `true`,
|  | bool | posix = `false`
| ) |  |
| virtual

Find the first occurrence of the string expr and return true if expr was found, otherwise returns false. If expr is found it becomes the current selection.

If re is true then expr is interpreted as a regular expression rather than a simple string.

If cs is true then the search is case sensitive.

If wo is true then the search looks for whole word matches only, otherwise it searches for any matching text.

If wrap is true then the search wraps around the end of the text.

If forward is true (the default) then the search is forward from the starting position to the end of the text, otherwise it is backwards to the beginning of the text.

If either line or index are negative (the default) then the search begins from the current cursor position. Otherwise the search begins at position index of line line.

If show is true (the default) then any text found is made visible (ie. it is unfolded).

If posix is true then a regular expression is treated in a more POSIX compatible manner by interpreting bare ( and ) as tagged sections rather than ( and ).

See also
  findFirstInSelection(), findNext(), replace()

virtual bool QsciScintilla::findFirstInSelection | ( | const QString & | expr,
|  | bool | re,
|  | bool | cs,
|  | bool | wo,
|  | bool | forward = `true`,
|  | bool | show = `true`,
|  | bool | posix = `false`
| ) |  |
| virtual

Find the first occurrence of the string expr in the current selection and return true if expr was found, otherwise returns false. If expr is found it becomes the current selection. The original selection is restored when a subsequent call to findNext() returns false.

If re is true then expr is interpreted as a regular expression rather than a simple string.

If cs is true then the search is case sensitive.

If wo is true then the search looks for whole word matches only, otherwise it searches for any matching text.

If forward is true (the default) then the search is forward from the start to the end of the selection, otherwise it is backwards from the end to the start of the selection.

If show is true (the default) then any text found is made visible (ie. it is unfolded).

If posix is true then a regular expression is treated in a more POSIX compatible manner by interpreting bare ( and ) as tagged sections rather than ( and ).

See also
  findFirstInSelection(), findNext(), replace()

virtual bool QsciScintilla::findNext | ( |  | ) |
| virtual

Find the next occurence of the string found using findFirst() or findFirstInSelection().

See also
  findFirst(), findFirstInSelection(), replace()

int QsciScintilla::firstVisibleLine | ( |  | ) | const

Returns the number of the first visible line.

See also
  setFirstVisibleLine()

FoldStyle QsciScintilla::folding | ( |  | ) | const
| inline

Returns the current folding style.

See also
  setFolding()

void QsciScintilla::getCursorPosition | ( | int * | line,
|  | int * | index
| ) |  | const

Sets *line and *index to the line and index of the cursor.

See also
  setCursorPosition()

void QsciScintilla::getSelection | ( | int * | lineFrom,
|  | int * | indexFrom,
|  | int * | lineTo,
|  | int * | indexTo
| ) |  | const

If there is a selection, *lineFrom is set to the line number in which the selection begins and *lineTo is set to the line number in which the selection ends. (They could be the same.) *indexFrom is set to the index at which the selection begins within *lineFrom, and *indexTo is set to the index at which the selection ends within *lineTo. If there is no selection, *lineFrom, *indexFrom, *lineTo and *indexTo are all set to -1.

See also
  setSelection()

bool QsciScintilla::hasSelectedText | ( |  | ) | const
| inline

Returns true if some text is selected.

See also
  selectedText()

int QsciScintilla::indentation | ( | int | line | ) | const

Returns the number of characters that line line is indented by.

See also
  setIndentation()

bool QsciScintilla::indentationGuides | ( |  | ) | const

Returns true if the display of indentation guides is enabled.

See also
  setIndentationGuides()

bool QsciScintilla::indentationsUseTabs | ( |  | ) | const

Returns true if indentations are created using tabs and spaces, rather than just spaces. The default is true.

See also
  setIndentationsUseTabs()

int QsciScintilla::indentationWidth | ( |  | ) | const

Returns the indentation width in characters. The default is 0 which means that the value returned by tabWidth() is actually used.

See also
  setIndentationWidth(), tabWidth()

int QsciScintilla::indicatorDefine | ( | IndicatorStyle | style,
|  | int | indicatorNumber = `-1`
| ) |  |

Define a type of indicator using the style style with the indicator number indicatorNumber. If indicatorNumber is -1 then the indicator number is automatically allocated. The indicator number is returned or -1 if too many types of indicator have been defined.

Indicators are used to display additional information over the top of styling. They can be used to show, for example, syntax errors, deprecated names and bad indentation by drawing lines under text or boxes around text.

There may be up to 32 types of indicator defined at a time. The first 8 are normally used by lexers. By default indicator number 0 is a dark green SquiggleIndicator, 1 is a blue TTIndicator, and 2 is a red PlainIndicator.

bool QsciScintilla::indicatorDrawUnder | ( | int | indicatorNumber | ) | const

Returns true if the indicator indicatorNumber is drawn under the text (i.e. in the background). The default is false.

See also
  setIndicatorDrawUnder()

bool QsciScintilla::isListActive | ( |  | ) | const

Returns true if an auto-completion or user defined list is currently active.

bool QsciScintilla::isModified | ( |  | ) | const

Returns true if the text has been modified.

See also
  setModified(), modificationChanged()

bool QsciScintilla::isReadOnly | ( |  | ) | const

Returns true if the text edit is read-only.

See also
  setReadOnly()

bool QsciScintilla::isRedoAvailable | ( |  | ) | const

Returns true if there is something that can be redone.

See also
  redo()

bool QsciScintilla::isUndoAvailable | ( |  | ) | const

Returns true if there is something that can be undone.

See also
  undo()

bool QsciScintilla::isUtf8 | ( |  | ) | const

Returns true if text is interpreted as being UTF8 encoded. The default is to interpret the text as Latin1 encoded.

See also
  setUtf8()

bool QsciScintilla::isWordCharacter | ( | char | ch | ) | const

Returns true if character ch is a valid word character.

See also
  wordCharacters()

int QsciScintilla::lineAt | ( | const QPoint & | point | ) | const

Returns the line which is at point pixel coordinates or -1 if there is no line at that point.

void QsciScintilla::lineIndexFromPosition | ( | int | position,
|  | int * | line,
|  | int * | index
| ) |  | const

QScintilla uses the combination of a line number and a character index from the start of that line to specify the position of a character within the text. The underlying Scintilla instead uses a byte index from the start of the text. This will convert the position byte index to the *line line number and *index character index.

See also
  positionFromLineIndex()

int QsciScintilla::lineLength | ( | int | line | ) | const

Returns the length of line line int bytes or -1 if there is no such line. In order to get the length in characters use text(line).length().

int QsciScintilla::length | ( |  | ) | const

Returns the length of the text edit's text in bytes. In order to get the length in characters use text().length().

QsciLexer* QsciScintilla::lexer | ( |  | ) | const

Returns the current language lexer used to style text. If it is 0 then syntax styling is disabled.

See also
  setLexer()

bool QsciScintilla::marginLineNumbers | ( | int | margin | ) | const

Returns true if line numbers are enabled for margin margin.

See also
  setMarginLineNumbers(), marginType(), SCI_GETMARGINTYPEN

int QsciScintilla::marginMarkerMask | ( | int | margin | ) | const

Returns the marker mask of margin margin.

See also
  setMarginMask(), QsciMarker, SCI_GETMARGINMASKN

int QsciScintilla::marginOptions | ( |  | ) | const

Returns the margin options. The default is MoNone.

See also
  setMarginOptions(), MoNone, MoSublineSelect.

bool QsciScintilla::marginSensitivity | ( | int | margin | ) | const

Returns true if margin margin is sensitive to mouse clicks.

See also
  setMarginSensitivity(), marginClicked(), SCI_GETMARGINTYPEN

MarginType QsciScintilla::marginType | ( | int | margin | ) | const

Returns the type of margin margin.

See also
  setMarginType(), SCI_GETMARGINTYPEN

int QsciScintilla::marginWidth | ( | int | margin | ) | const

Returns the width in pixels of margin margin.

See also
  setMarginWidth(), SCI_GETMARGINWIDTHN

int QsciScintilla::markerDefine | ( | MarkerSymbol | sym,
|  | int | markerNumber = `-1`
| ) |  |

Define a type of marker using the symbol sym with the marker number markerNumber. If markerNumber is -1 then the marker number is automatically allocated. The marker number is returned or -1 if too many types of marker have been defined.

Markers are small geometric symbols and characters used, for example, to indicate the current line or, in debuggers, to indicate breakpoints. If a margin has a width of 0 then its markers are not drawn, but their background colours affect the background colour of the corresponding line of text.

There may be up to 32 types of marker defined at a time and each line of text has a set of marker instances associated with it. Markers are drawn according to their numerical identifier. Markers try to move with their text by tracking where the start of their line moves to. For example, when a line is deleted its markers are added to previous line's markers.

Each marker type is identified by a marker number. Each instance of a marker is identified by a marker handle.

int QsciScintilla::markerDefine | ( | char | ch,
|  | int | markerNumber = `-1`
| ) |  |

Define a marker using the character ch with the marker number markerNumber. If markerNumber is -1 then the marker number is automatically allocated. The marker number is returned or -1 if too many markers have been defined.

int QsciScintilla::markerDefine | ( | const QPixmap & | pm,
|  | int | markerNumber = `-1`
| ) |  |

Define a marker using a copy of the pixmap pm with the marker number markerNumber. If markerNumber is -1 then the marker number is automatically allocated. The marker number is returned or -1 if too many markers have been defined.

int QsciScintilla::markerDefine | ( | const QImage & | im,
|  | int | markerNumber = `-1`
| ) |  |

Define a marker using a copy of the image im with the marker number markerNumber. If markerNumber is -1 then the marker number is automatically allocated. The marker number is returned or -1 if too many markers have been defined.

int QsciScintilla::markerAdd | ( | int | linenr,
|  | int | markerNumber
| ) |  |

Add an instance of marker number markerNumber to line number linenr. A handle for the marker is returned which can be used to track the marker's position, or -1 if the markerNumber was invalid.

See also
  markerDelete(), markerDeleteAll(), markerDeleteHandle()

unsigned QsciScintilla::markersAtLine | ( | int | linenr | ) | const

Returns the 32 bit mask of marker numbers at line number linenr.

See also
  markerAdd()

void QsciScintilla::markerDelete | ( | int | linenr,
|  | int | markerNumber = `-1`
| ) |  |

Delete all markers with the marker number markerNumber in the line linenr. If markerNumber is -1 then delete all markers from line linenr.

See also
  markerAdd(), markerDeleteAll(), markerDeleteHandle()

void QsciScintilla::markerDeleteAll | ( | int | markerNumber = `-1` | ) |

Delete the all markers with the marker number markerNumber. If markerNumber is -1 then delete all markers.

See also
  markerAdd(), markerDelete(), markerDeleteHandle()

void QsciScintilla::markerDeleteHandle | ( | int | mhandle | ) |

Delete the the marker instance with the marker handle mhandle.

See also
  markerAdd(), markerDelete(), markerDeleteAll()

int QsciScintilla::markerLine | ( | int | mhandle | ) | const

Return the line number that contains the marker instance with the marker handle mhandle.

int QsciScintilla::markerFindNext | ( | int | linenr,
|  | unsigned | mask
| ) |  | const

Return the number of the next line to contain at least one marker from a 32 bit mask of markers. linenr is the line number to start the search from. mask is the mask of markers to search for.

See also
  markerFindPrevious()

int QsciScintilla::markerFindPrevious | ( | int | linenr,
|  | unsigned | mask
| ) |  | const

Return the number of the previous line to contain at least one marker from a 32 bit mask of markers. linenr is the line number to start the search from. mask is the mask of markers to search for.

See also
  markerFindNext()

bool QsciScintilla::overwriteMode | ( |  | ) | const

Returns true if text entered by the user will overwrite existing text.

See also
  setOverwriteMode()

QColor QsciScintilla::paper | ( |  | ) | const

Returns the widget's paper (ie. background) colour.

See also
  setPaper()

int QsciScintilla::positionFromLineIndex | ( | int | line,
|  | int | index
| ) |  | const

QScintilla uses the combination of a line number and a character index from the start of that line to specify the position of a character within the text. The underlying Scintilla instead uses a byte index from the start of the text. This will return the byte index corresponding to the line line number and index character index.

See also
  lineIndexFromPosition()

bool QsciScintilla::read | ( | QIODevice * | io | ) |

Reads the current document from the io device and returns true if there was no error.

See also
  write()

virtual void QsciScintilla::recolor | ( | int | start = `0`,
|  | int | end = `-1`
| ) |  |
| virtual

Recolours the document between the start and end positions. start defaults to the start of the document and end defaults to the end of the document.

void QsciScintilla::registerImage | ( | int | id,
|  | const QPixmap & | pm
| ) |  |

Register an image pm with ID id. Registered images can be displayed in auto-completion lists.

See also
  clearRegisteredImages(), QsciLexer::apiLoad()

void QsciScintilla::registerImage | ( | int | id,
|  | const QImage & | im
| ) |  |

Register an image im with ID id. Registered images can be displayed in auto-completion lists.

See also
  clearRegisteredImages(), QsciLexer::apiLoad()

virtual void QsciScintilla::replace | ( | const QString & | replaceStr | ) |
| virtual

Replace the current selection, set by a previous call to findFirst(), findFirstInSelection() or findNext(), with replaceStr.

See also
  findFirst(), findFirstInSelection(), findNext()

void QsciScintilla::resetFoldMarginColors | ( |  | ) |

Reset the fold margin colours to their defaults.

See also
  setFoldMarginColors()

void QsciScintilla::resetHotspotBackgroundColor | ( |  | ) |

Resets the background colour of an active hotspot area to the default.

See also
  setHotspotBackgroundColor(), resetHotspotForegroundColor()

void QsciScintilla::resetHotspotForegroundColor | ( |  | ) |

Resets the foreground colour of an active hotspot area to the default.

See also
  setHotspotForegroundColor(), resetHotspotBackgroundColor()

void QsciScintilla::setFoldMarginColors | ( | const QColor & | fore,
|  | const QColor & | back
| ) |  |

The fold margin may be drawn as a one pixel sized checkerboard pattern of two colours, fore and back.

See also
  resetFoldMarginColors()

void QsciScintilla::setAnnotationDisplay | ( | AnnotationDisplay | display | ) |

Set the display style for annotations. The default is AnnotationStandard.

See also
  annotationDisplay()

void QsciScintilla::setAutoCompletionFillupsEnabled | ( | bool | enabled | ) |

Enable the use of fill-up characters, either those explicitly set or those set by a lexer. By default, fill-up characters are disabled.

See also
  autoCompletionFillupsEnabled(), setAutoCompletionFillups()

void QsciScintilla::setAutoCompletionFillups | ( | const char * | fillups | ) |

A fill-up character is one that, when entered while an auto-completion list is being displayed, causes the currently selected item from the list to be added to the text followed by the fill-up character. fillups is the set of fill-up characters. If a language lexer has been set then this is ignored and the lexer defines the fill-up characters. The default is that no fill-up characters are set.

See also
  autoCompletionFillupsEnabled(), setAutoCompletionFillupsEnabled()

void QsciScintilla::setAutoCompletionWordSeparators | ( | const QStringList & | separators | ) |

A word separator is a sequence of characters that, when entered, causes the auto-completion list to be displayed. If a language lexer has been set then this is ignored and the lexer defines the word separators. The default is that no word separators are set.

See also
  setAutoCompletionThreshold()

void QsciScintilla::setCallTipsBackgroundColor | ( | const QColor & | col | ) |

Set the background colour of call tips to col. The default is white.

void QsciScintilla::setCallTipsForegroundColor | ( | const QColor & | col | ) |

Set the foreground colour of call tips to col. The default is mid-gray.

void QsciScintilla::setCallTipsHighlightColor | ( | const QColor & | col | ) |

Set the highlighted colour of call tip text to col. The default is dark blue.

void QsciScintilla::setCallTipsPosition | ( | CallTipsPosition | position | ) |

Set the current call tip position. The default is CallTipsBelowText.

See also
  callTipsPosition()

void QsciScintilla::setCallTipsStyle | ( | CallTipsStyle | style | ) |

Set the current call tip style. The default is CallTipsNoContext.

See also
  callTipsStyle()

void QsciScintilla::setCallTipsVisible | ( | int | nr | ) |

Set the maximum number of call tips that are displayed to nr. If the maximum number is 0 then all applicable call tips are displayed. If the maximum number is -1 then one call tip will be displayed with up and down arrows that allow the use to scroll through the full list. The default is -1.

See also
  callTipsVisible()

void QsciScintilla::setContractedFolds | ( | const QList< int > & | folds | ) |

Sets each line in the folds list of line numbers to be a contracted fold. This is typically used to restore the fold state of a document.

See also
  contractedFolds()

void QsciScintilla::setDocument | ( | const QsciDocument & | document | ) |

Attach the document document, replacing the currently attached document.

See also
  document()

void QsciScintilla::setEdgeColor | ( | const QColor & | col | ) |

Set the color of the marker used to show that a line has exceeded the length set by setEdgeColumn().

See also
  edgeColor(),
  setEdgeColumn

void QsciScintilla::setEdgeColumn | ( | int | colnr | ) |

Set the number of the column after which lines are considered to be long.

See also
  edgeColumn()

void QsciScintilla::setEdgeMode | ( | EdgeMode | mode | ) |

Set the edge mode which determines how long lines are marked.

See also
  edgeMode()

void QsciScintilla::setFirstVisibleLine | ( | int | linenr | ) |

Set the number of the first visible line to linenr.

See also
  firstVisibleLine()

void QsciScintilla::setIndicatorDrawUnder | ( | bool | under,
|  | int | indicatorNumber = `-1`
| ) |  |

Enables or disables, according to under, if the indicator indicatorNumber is drawn under or over the text (i.e. in the background or foreground). If indicatorNumber is -1 then the state of all indicators is set.

See also
  indicatorDrawUnder()

void QsciScintilla::setIndicatorForegroundColor | ( | const QColor & | col,
|  | int | indicatorNumber = `-1`
| ) |  |

Set the foreground colour of indicator indicatorNumber to col. If indicatorNumber is -1 then the colour of all indicators is set.

void QsciScintilla::setIndicatorHoverForegroundColor | ( | const QColor & | col,
|  | int | indicatorNumber = `-1`
| ) |  |

Set the foreground colour of indicator indicatorNumber to col when the mouse is over it or the caret moved into it. If indicatorNumber is -1 then the colour of all indicators is set.

void QsciScintilla::setIndicatorHoverStyle | ( | IndicatorStyle | style,
|  | int | indicatorNumber = `-1`
| ) |  |

Set the style of indicator indicatorNumber to style when the mouse is over it or the caret moved into it. If indicatorNumber is -1 then the style of all indicators is set.

void QsciScintilla::setIndicatorOutlineColor | ( | const QColor & | col,
|  | int | indicatorNumber = `-1`
| ) |  |

Set the outline colour of indicator indicatorNumber to col. If indicatorNumber is -1 then the colour of all indicators is set. At the moment only the alpha value of the colour has any affect.

void QsciScintilla::setMarginOptions | ( | int | options | ) |

Set the margin options to options.

See also
  marginOptions(), MoNone, MoSublineSelect.

void QsciScintilla::setMarginText | ( | int | line,
|  | const QString & | text,
|  | int | style
| ) |  |

Set the margin text of line line with the text text using the style number style.

void QsciScintilla::setMarginText | ( | int | line,
|  | const QString & | text,
|  | const QsciStyle & | style
| ) |  |

Set the margin text of line line with the text text using the style style.

void QsciScintilla::setMarginText | ( | int | line,
|  | const QList< QsciStyledText > & | text
| ) |  |

Set the margin text of line line with the list of styled text text.

void QsciScintilla::setMarginType | ( | int | margin,
|  | MarginType | type
| ) |  |

Set the type of margin margin to type type.

See also
  marginType(), SCI_SETMARGINTYPEN

void QsciScintilla::clearMarginText | ( | int | line = `-1` | ) |

The margin text on line line is removed. If line is negative then all margin text is removed.

void QsciScintilla::setMarkerBackgroundColor | ( | const QColor & | col,
|  | int | markerNumber = `-1`
| ) |  |

Set the background colour, including the alpha component, of marker markerNumber to col. If markerNumber is -1 then the colour of all markers is set. The default is white.

See also
  setMarkerForegroundColor()

void QsciScintilla::setMarkerForegroundColor | ( | const QColor & | col,
|  | int | markerNumber = `-1`
| ) |  |

Set the foreground colour of marker markerNumber to col. If markerNumber is -1 then the colour of all markers is set. The default is black.

See also
  setMarkerBackgroundColor()

void QsciScintilla::setMatchedBraceBackgroundColor | ( | const QColor & | col | ) |

Set the background colour used to display matched braces to col. It is ignored if an indicator is being used. The default is white.

See also
  setMatchedBraceForegroundColor(), setMatchedBraceIndicator()

void QsciScintilla::setMatchedBraceForegroundColor | ( | const QColor & | col | ) |

Set the foreground colour used to display matched braces to col. It is ignored if an indicator is being used. The default is red.

See also
  setMatchedBraceBackgroundColor(), setMatchedBraceIndicator()

void QsciScintilla::setMatchedBraceIndicator | ( | int | indicatorNumber | ) |

Set the indicator used to display matched braces to indicatorNumber. The default is not to use an indicator.

See also
  resetMatchedBraceIndicator(), setMatchedBraceBackgroundColor()

void QsciScintilla::resetMatchedBraceIndicator | ( |  | ) |

Stop using an indicator to display matched braces.

See also
  setMatchedBraceIndicator()

void QsciScintilla::setUnmatchedBraceBackgroundColor | ( | const QColor & | col | ) |

Set the background colour used to display unmatched braces to col. It is ignored if an indicator is being used. The default is white.

See also
  setUnmatchedBraceForegroundColor(), setUnmatchedBraceIndicator()

void QsciScintilla::setUnmatchedBraceForegroundColor | ( | const QColor & | col | ) |

Set the foreground colour used to display unmatched braces to col. It is ignored if an indicator is being used. The default is blue.

See also
  setUnmatchedBraceBackgroundColor(), setUnmatchedBraceIndicator()

void QsciScintilla::setUnmatchedBraceIndicator | ( | int | indicatorNumber | ) |

Set the indicator used to display unmatched braces to indicatorNumber. The default is not to use an indicator.

See also
  resetUnmatchedBraceIndicator(), setUnmatchedBraceBackgroundColor()

void QsciScintilla::resetUnmatchedBraceIndicator | ( |  | ) |

Stop using an indicator to display unmatched braces.

See also
  setUnmatchedBraceIndicator()

void QsciScintilla::setWrapVisualFlags | ( | WrapVisualFlag | endFlag,
|  | WrapVisualFlag | startFlag = `WrapFlagNone`,
|  | int | indent = `0`
| ) |  |

Set the visual flags displayed when a line is wrapped. endFlag determines if and where the flag at the end of a line is displayed. startFlag determines if and where the flag at the start of a line is displayed. indent is the number of characters a wrapped line is indented by. By default no visual flags are displayed.

QString QsciScintilla::selectedText | ( |  | ) | const

Returns the selected text or an empty string if there is no currently selected text.

See also
  hasSelectedText()

bool QsciScintilla::selectionToEol | ( |  | ) | const

Returns whether or not the selection is drawn up to the right hand border.

See also
  setSelectionToEol()

void QsciScintilla::setHotspotBackgroundColor | ( | const QColor & | col | ) |

Sets the background colour of an active hotspot area to col.

See also
  resetHotspotBackgroundColor(), setHotspotForegroundColor()

void QsciScintilla::setHotspotForegroundColor | ( | const QColor & | col | ) |

Sets the foreground colour of an active hotspot area to col.

See also
  resetHotspotForegroundColor(), setHotspotBackgroundColor()

void QsciScintilla::setHotspotUnderline | ( | bool | enable | ) |

Enables or disables, according to enable, the underlining of an active hotspot area. The default is false.

void QsciScintilla::setHotspotWrap | ( | bool | enable | ) |

Enables or disables, according to enable, the wrapping of a hotspot area to following lines. The default is true.

void QsciScintilla::setSelectionToEol | ( | bool | filled | ) |

Sets whether or not the selection is drawn up to the right hand border. filled is set if the selection is drawn to the border.

See also
  selectionToEol()

void QsciScintilla::setExtraAscent | ( | int | extra | ) |

Sets the extra space added to the height of a line above the baseline of the text to extra.

See also
  extraAscent(), setExtraDescent()

void QsciScintilla::setExtraDescent | ( | int | extra | ) |

Sets the extra space added to the height of a line below the baseline of the text to extra.

See also
  extraDescent(), setExtraAscent()

void QsciScintilla::setOverwriteMode | ( | bool | overwrite | ) |

Text entered by the user will overwrite existing text if overwrite is true.

See also
  overwriteMode()

void QsciScintilla::setWhitespaceBackgroundColor | ( | const QColor & | col | ) |

Sets the background colour of visible whitespace to col. If col is an invalid color (the default) then the color specified by the current lexer is used.

void QsciScintilla::setWhitespaceForegroundColor | ( | const QColor & | col | ) |

Sets the foreground colour of visible whitespace to col. If col is an invalid color (the default) then the color specified by the current lexer is used.

void QsciScintilla::setWhitespaceSize | ( | int | size | ) |

Sets the size of the dots used to represent visible whitespace.

See also
  whitespaceSize()

void QsciScintilla::setWrapIndentMode | ( | WrapIndentMode | mode | ) |

Sets the line wrap indentation mode to mode. The default is WrapIndentFixed.

See also
  wrapIndentMode()

void QsciScintilla::showUserList | ( | int | id,
|  | const QStringList & | list
| ) |  |

Displays a user defined list which can be interacted with like an auto-completion list. id is an identifier for the list which is passed as an argument to the userListActivated() signal and must be at least 1. list is the text with which the list is populated.

See also
  cancelList(), isListActive(), userListActivated()

bool QsciScintilla::tabIndents | ( |  | ) | const

Returns true if the tab key indents a line instead of inserting a tab character. The default is true.

See also
  setTabIndents(), backspaceUnindents(), setBackspaceUnindents()

int QsciScintilla::tabWidth | ( |  | ) | const

Returns the tab width in characters. The default is 8.

See also
  setTabWidth()

QString QsciScintilla::text | ( |  | ) | const

Returns the text of the current document.

See also
  setText()

QString QsciScintilla::text | ( | int | line | ) | const

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Returns the text of line line.

See also
  setText()

int QsciScintilla::whitespaceSize | ( |  | ) | const

Returns the size of the dots used to represent visible whitespace.

See also
  setWhitespaceSize()

WhitespaceVisibility QsciScintilla::whitespaceVisibility | ( |  | ) | const

Returns the visibility of whitespace.

See also
  setWhitespaceVisibility()

QString QsciScintilla::wordAtLineIndex | ( | int | line,
|  | int | index
| ) |  | const

Returns the word at the line line number and index character index.

const char* QsciScintilla::wordCharacters | ( |  | ) | const

Returns the set of valid word character as defined by the current language lexer. If there is no current lexer then the set contains an an underscore, numbers and all upper and lower case alphabetic characters.

See also
  isWordCharacter()

WrapMode QsciScintilla::wrapMode | ( |  | ) | const

Returns the line wrap mode.

See also
  setWrapMode()

WrapIndentMode QsciScintilla::wrapIndentMode | ( |  | ) | const

Returns the line wrap indentation mode.

See also
  setWrapIndentMode()

bool QsciScintilla::write | ( | QIODevice * | io | ) | const

Writes the current document to the io device and returns true if there was no error.

See also
  read()

virtual void QsciScintilla::append | ( | const QString & | text | ) |
| virtualslot

Appends the text text to the end of the text edit. Note that the undo/redo history is cleared by this function.

virtual void QsciScintilla::autoCompleteFromAll | ( |  | ) |
| virtualslot

Display an auto-completion list based on any installed APIs, the current contents of the document and the characters immediately to the left of the cursor.

See also
  autoCompleteFromAPIs(), autoCompleteFromDocument()

virtual void QsciScintilla::autoCompleteFromAPIs | ( |  | ) |
| virtualslot

Display an auto-completion list based on any installed APIs and the characters immediately to the left of the cursor.

See also
  autoCompleteFromAll(), autoCompleteFromDocument(), setAutoCompletionAPIs()

virtual void QsciScintilla::autoCompleteFromDocument | ( |  | ) |
| virtualslot

Display an auto-completion list based on the current contents of the document and the characters immediately to the left of the cursor.

See also
  autoCompleteFromAll(), autoCompleteFromAPIs()

virtual void QsciScintilla::callTip | ( |  | ) |
| virtualslot

Display a call tip based on the the characters immediately to the left of the cursor.

virtual void QsciScintilla::copy | ( |  | ) |
| virtualslot

Copies any selected text to the clipboard.

See also
  copyAvailable(), cut(), paste()

virtual void QsciScintilla::cut | ( |  | ) |
| virtualslot

Copies any selected text to the clipboard and then deletes the text.

See also
  copy(), paste()

virtual void QsciScintilla::foldAll | ( | bool | children = `false` | ) |
| virtualslot

If any lines are currently folded then they are all unfolded. Otherwise all lines are folded. This has the same effect as clicking in the fold margin with the shift and control keys pressed. If children is not set (the default) then only the top level fold points are affected, otherwise the state of all fold points are changed.

virtual void QsciScintilla::foldLine | ( | int | line | ) |
| virtualslot

If the line line is folded then it is unfolded. Otherwise it is folded. This has the same effect as clicking in the fold margin.

virtual void QsciScintilla::indent | ( | int | line | ) |
| virtualslot

Increases the indentation of line line by an indentation width.

See also
  unindent()

virtual void QsciScintilla::insertAt | ( | const QString & | text,
|  | int | line,
|  | int | index
| ) |  |
| virtualslot

Insert the text text in the line line at the position index.

virtual void QsciScintilla::moveToMatchingBrace | ( |  | ) |
| virtualslot

If the cursor is either side of a brace character then move it to the position of the corresponding brace.

virtual void QsciScintilla::paste | ( |  | ) |
| virtualslot

Pastes any text from the clipboard into the text edit at the current cursor position.

See also
  copy(), cut()

virtual void QsciScintilla::redo | ( |  | ) |
| virtualslot

Redo the last change or sequence of changes.

See also
  isRedoAvailable()

virtual void QsciScintilla::removeSelectedText | ( |  | ) |
| virtualslot

Removes any selected text.

See also
  replaceSelectedText()

virtual void QsciScintilla::replaceSelectedText | ( | const QString & | text | ) |
| virtualslot

Replaces any selected text with text.

See also
  removeSelectedText()

virtual void QsciScintilla::resetSelectionBackgroundColor | ( |  | ) |
| virtualslot

Resets the background colour of selected text to the default.

See also
  setSelectionBackgroundColor(), resetSelectionForegroundColor()

virtual void QsciScintilla::resetSelectionForegroundColor | ( |  | ) |
| virtualslot

Resets the foreground colour of selected text to the default.

See also
  setSelectionForegroundColor(), resetSelectionBackgroundColor()

virtual void QsciScintilla::selectAll | ( | bool | select = `true` | ) |
| virtualslot

If select is true (the default) then all the text is selected. If select is false then any currently selected text is deselected.

virtual void QsciScintilla::selectToMatchingBrace | ( |  | ) |
| virtualslot

If the cursor is either side of a brace character then move it to the position of the corresponding brace and select the text between the braces.

virtual void QsciScintilla::setAutoCompletionCaseSensitivity | ( | bool | cs | ) |
| virtualslot

If cs is true then auto-completion lists are case sensitive. The default is true. Note that setting a lexer may change the case sensitivity.

See also
  autoCompletionCaseSensitivity()

virtual void QsciScintilla::setAutoCompletionReplaceWord | ( | bool | replace | ) |
| virtualslot

If replace is true then when an item from an auto-completion list is selected, the rest of the word to the right of the current cursor is removed. The default is false.

See also
  autoCompletionReplaceWord()

virtual void QsciScintilla::setAutoCompletionShowSingle | ( | bool | single | ) |
| virtualslot

If single is true then when there is only a single entry in an auto-completion list it is automatically used and the list is not displayed. This only has an effect when auto-completion is explicitly requested (using autoCompleteFromAPIs() and autoCompleteFromDocument()) and has no effect when auto-completion is triggered as the user types. The default is false. Note that this is deprecated and setAutoCompletionUseSingle() should be used instead.

See also
  autoCompletionShowSingle()

virtual void QsciScintilla::setAutoCompletionSource | ( | AutoCompletionSource | source | ) |
| virtualslot

Sets the source for the auto-completion list when it is being displayed automatically as the user types to source. The default is AcsNone, ie. it is disabled.

See also
  autoCompletionSource()

virtual void QsciScintilla::setAutoCompletionThreshold | ( | int | thresh | ) |
| virtualslot

Sets the threshold for the automatic display of the auto-completion list as the user types to thresh. The threshold is the number of characters that the user must type before the list is displayed. If the threshold is less than or equal to 0 then the list is disabled. The default is -1.

See also
  autoCompletionThreshold(), setAutoCompletionWordSeparators()

virtual void QsciScintilla::setAutoCompletionUseSingle | ( | AutoCompletionUseSingle | single | ) |
| virtualslot

Sets the behavior of the auto-completion list when it has a single entry. The default is AcusNever.

See also
  autoCompletionUseSingle()

virtual void QsciScintilla::setAutoIndent | ( | bool | autoindent | ) |
| virtualslot

If autoindent is true then auto-indentation is enabled. The default is false.

See also
  autoIndent()

virtual void QsciScintilla::setBraceMatching | ( | BraceMatch | bm | ) |
| virtualslot

Sets the brace matching mode to bm. The default is NoBraceMatching.

See also
  braceMatching()

virtual void QsciScintilla::setBackspaceUnindents | ( | bool | unindent | ) |
| virtualslot

If deindent is true then the backspace key will unindent a line rather then delete a character.

See also
  backspaceUnindents(), tabIndents(), setTabIndents()

virtual void QsciScintilla::setCaretLineBackgroundColor | ( | const QColor & | col | ) |
| virtualslot

Sets the background colour, including the alpha component, of the line containing the caret to col.

See also
  setCaretLineVisible()

virtual void QsciScintilla::setCaretLineVisible | ( | bool | enable | ) |
| virtualslot

Enables or disables, according to enable, the background color of the line containing the caret.

See also
  setCaretLineBackgroundColor()

virtual void QsciScintilla::setCaretWidth | ( | int | width | ) |
| virtualslot

Sets the width of the caret to width pixels. A width of 0 makes the caret invisible.

virtual void QsciScintilla::setColor | ( | const QColor & | c | ) |
| virtualslot

The widget's text (ie. foreground) colour is set to c. This has no effect if a language lexer has been set.

See also
  color()

virtual void QsciScintilla::setCursorPosition | ( | int | line,
|  | int | index
| ) |  |
| virtualslot

Sets the cursor to the line line at the position index.

See also
  getCursorPosition()

virtual void QsciScintilla::setEolMode | ( | EolMode | mode | ) |
| virtualslot

Sets the end-of-line mode to mode. The default is the platform's natural mode.

See also
  eolMode()

virtual void QsciScintilla::setEolVisibility | ( | bool | visible | ) |
| virtualslot

If visible is true then end-of-lines are made visible. The default is that they are invisible.

See also
  eolVisibility()

virtual void QsciScintilla::setFolding | ( | FoldStyle | fold,
|  | int | margin = `2`
| ) |  |
| virtualslot

Sets the folding style for margin margin to fold. The default style is NoFoldStyle (ie. folding is disabled) and the default margin is 2.

See also
  folding()

virtual void QsciScintilla::setIndentation | ( | int | line,
|  | int | indentation
| ) |  |
| virtualslot

Sets the indentation of line line to indentation characters.

See also
  indentation()

virtual void QsciScintilla::setIndentationGuides | ( | bool | enable | ) |
| virtualslot

Enables or disables, according to enable, this display of indentation guides.

See also
  indentationGuides()

virtual void QsciScintilla::setIndentationGuidesBackgroundColor | ( | const QColor & | col | ) |
| virtualslot

Set the background colour of indentation guides to col.

See also
  setIndentationGuidesForegroundColor()

virtual void QsciScintilla::setIndentationGuidesForegroundColor | ( | const QColor & | col | ) |
| virtualslot

Set the foreground colour of indentation guides to col.

See also
  setIndentationGuidesBackgroundColor()

virtual void QsciScintilla::setIndentationsUseTabs | ( | bool | tabs | ) |
| virtualslot

If tabs is true then indentations are created using tabs and spaces, rather than just spaces.

See also
  indentationsUseTabs()

virtual void QsciScintilla::setIndentationWidth | ( | int | width | ) |
| virtualslot

Sets the indentation width to width characters. If width is 0 then the value returned by tabWidth() is used.

See also
  indentationWidth(), tabWidth()

virtual void QsciScintilla::setLexer | ( | QsciLexer * | lexer = `0` | ) |
| virtualslot

Sets the specific language lexer used to style text to lex. If lex is 0 then syntax styling is disabled.

See also
  lexer()

virtual void QsciScintilla::setMarginsBackgroundColor | ( | const QColor & | col | ) |
| virtualslot

Set the background colour of all margins to col. The default is a gray.

See also
  setMarginsForegroundColor()

virtual void QsciScintilla::setMarginsForegroundColor | ( | const QColor & | col | ) |
| virtualslot

Set the foreground colour of all margins to col. The default is black.

See also
  setMarginsBackgroundColor()

virtual void QsciScintilla::setMarginLineNumbers | ( | int | margin,
|  | bool | lnrs
| ) |  |
| virtualslot

Enables or disables, according to lnrs, the display of line numbers in margin margin.

See also
  marginLineNumbers(), setMarginType(), SCI_SETMARGINTYPEN

virtual void QsciScintilla::setMarginMarkerMask | ( | int | margin,
|  | int | mask
| ) |  |
| virtualslot

Sets the marker mask of margin margin to mask. Only those markers whose bit is set in the mask are displayed in the margin.

See also
  marginMarkerMask(), QsciMarker, SCI_SETMARGINMASKN

virtual void QsciScintilla::setMarginSensitivity | ( | int | margin,
|  | bool | sens
| ) |  |
| virtualslot

Enables or disables, according to sens, the sensitivity of margin margin to mouse clicks. If the user clicks in a sensitive margin the marginClicked() signal is emitted.

See also
  marginSensitivity(), marginClicked(), SCI_SETMARGINSENSITIVEN

virtual void QsciScintilla::setMarginWidth | ( | int | margin,
|  | int | width
| ) |  |
| virtualslot

Sets the width of margin margin to width pixels. If the width of a margin is 0 then it is not displayed.

See also
  marginWidth(), SCI_SETMARGINWIDTHN

virtual void QsciScintilla::setMarginWidth | ( | int | margin,
|  | const QString & | s
| ) |  |
| virtualslot

Sets the width of margin margin so that it is wide enough to display s in the current margin font.

See also
  marginWidth(), SCI_SETMARGINWIDTHN

virtual void QsciScintilla::setModified | ( | bool | m | ) |
| virtualslot

Sets the modified state of the text edit to m. Note that it is only possible to clear the modified state (where m is false). Attempts to set the modified state (where m is true) are ignored.

See also
  isModified(), modificationChanged()

virtual void QsciScintilla::setPaper | ( | const QColor & | c | ) |
| virtualslot

The widget's paper (ie. background) colour is set to c. This has no effect if a language lexer has been set.

See also
  paper()

virtual void QsciScintilla::setReadOnly | ( | bool | ro | ) |
| virtualslot

Sets the read-only state of the text edit to ro.

See also
  isReadOnly()

virtual void QsciScintilla::setSelection | ( | int | lineFrom,
|  | int | indexFrom,
|  | int | lineTo,
|  | int | indexTo
| ) |  |
| virtualslot

Sets the selection which starts at position indexFrom in line lineFrom and ends at position indexTo in line lineTo. The cursor is moved to position indexTo in lineTo.

See also
  getSelection()

virtual void QsciScintilla::setSelectionBackgroundColor | ( | const QColor & | col | ) |
| virtualslot

Sets the background colour, including the alpha component, of selected text to col.

See also
  resetSelectionBackgroundColor(), setSelectionForegroundColor()

virtual void QsciScintilla::setSelectionForegroundColor | ( | const QColor & | col | ) |
| virtualslot

Sets the foreground colour of selected text to col.

See also
  resetSelectionForegroundColor(), setSelectionBackgroundColor()

virtual void QsciScintilla::setTabIndents | ( | bool | indent | ) |
| virtualslot

If indent is true then the tab key will indent a line rather than insert a tab character.

See also
  tabIndents(), backspaceUnindents(), setBackspaceUnindents()

virtual void QsciScintilla::setTabWidth | ( | int | width | ) |
| virtualslot

Sets the tab width to width characters.

See also
  tabWidth()

virtual void QsciScintilla::setText | ( | const QString & | text | ) |
| virtualslot

Replaces all of the current text with text. Note that the undo/redo history is cleared by this function.

See also
  text()

virtual void QsciScintilla::setUtf8 | ( | bool | cp | ) |
| virtualslot

Sets the current text encoding. If cp is true then UTF8 is used, otherwise Latin1 is used.

See also
  isUtf8()

virtual void QsciScintilla::setWhitespaceVisibility | ( | WhitespaceVisibility | mode | ) |
| virtualslot

Sets the visibility of whitespace to mode mode. The default is that whitespace is invisible.

See also
  whitespaceVisibility()

virtual void QsciScintilla::setWrapMode | ( | WrapMode | mode | ) |
| virtualslot

Sets the line wrap mode to mode. The default is that lines are not wrapped.

See also
  wrapMode()

virtual void QsciScintilla::undo | ( |  | ) |
| virtualslot

Undo the last change or sequence of changes.

Scintilla has multiple level undo and redo. It will continue to record undoable actions until memory runs out. Sequences of typing or deleting are compressed into single actions to make it easier to undo and redo at a sensible level of detail. Sequences of actions can be combined into actions that are undone as a unit. These sequences occur between calls to beginUndoAction() and endUndoAction(). These sequences can be nested and only the top level sequences are undone as units.

See also
  beginUndoAction(), endUndoAction(), isUndoAvailable()

virtual void QsciScintilla::unindent | ( | int | line | ) |
| virtualslot

Decreases the indentation of line line by an indentation width.

See also
  indent()

virtual void QsciScintilla::zoomIn | ( | int | range | ) |
| virtualslot

Zooms in on the text by by making the base font size range points larger and recalculating all font sizes.

See also
  zoomOut(), zoomTo()

virtual void QsciScintilla::zoomIn | ( |  | ) |
| virtualslot

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Zooms in on the text by by making the base font size one point larger and recalculating all font sizes.

virtual void QsciScintilla::zoomOut | ( | int | range | ) |
| virtualslot

Zooms out on the text by by making the base font size range points smaller and recalculating all font sizes.

See also
  zoomIn(), zoomTo()

virtual void QsciScintilla::zoomOut | ( |  | ) |
| virtualslot

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Zooms out on the text by by making the base font size one point larger and recalculating all font sizes.

virtual void QsciScintilla::zoomTo | ( | int | size | ) |
| virtualslot

Zooms the text by making the base font size size points and recalculating all font sizes.

See also
  zoomIn(), zoomOut()

void QsciScintilla::cursorPositionChanged | ( | int | line,
|  | int | index
| ) |  |
| signal

This signal is emitted whenever the cursor position changes. line contains the line number and index contains the character index within the line.

void QsciScintilla::copyAvailable | ( | bool | yes | ) |
| signal

This signal is emitted whenever text is selected or de-selected. yes is true if text has been selected and false if text has been deselected. If yes is true then copy() can be used to copy the selection to the clipboard. If yes is false then copy() does nothing.

See also
  copy(), selectionChanged()

void QsciScintilla::indicatorClicked | ( | int | line,
|  | int | index,
|  | Qt::KeyboardModifiers | state
| ) |  |
| signal

This signal is emitted whenever the user clicks on an indicator. line is the number of the line where the user clicked. index is the character index within the line. state is the state of the modifier keys (Qt::ShiftModifier, Qt::ControlModifier, Qt::AltModifer and Qt::MetaModifier) when the user clicked.

See also
  indicatorReleased()

void QsciScintilla::indicatorReleased | ( | int | line,
|  | int | index,
|  | Qt::KeyboardModifiers | state
| ) |  |
| signal

This signal is emitted whenever the user releases the mouse on an indicator. line is the number of the line where the user clicked. index is the character index within the line. state is the state of the modifier keys (Qt::ShiftModifier, Qt::ControlModifier, Qt::AltModifer and Qt::MetaModifier) when the user released the mouse.

See also
  indicatorClicked()

void QsciScintilla::marginClicked | ( | int | margin,
|  | int | line,
|  | Qt::KeyboardModifiers | state
| ) |  |
| signal

This signal is emitted whenever the user clicks on a sensitive margin. margin is the margin. line is the number of the line where the user clicked. state is the state of the modifier keys (Qt::ShiftModifier, Qt::ControlModifier, Qt::AltModifer and Qt::MetaModifier) when the user clicked.

See also
  marginSensitivity(), setMarginSensitivity()

void QsciScintilla::modificationAttempted | ( |  | ) |
| signal

This signal is emitted whenever the user attempts to modify read-only text.

See also
  isReadOnly(), setReadOnly()

void QsciScintilla::modificationChanged | ( | bool | m | ) |
| signal

This signal is emitted whenever the modification state of the text changes. m is true if the text has been modified.

See also
  isModified(), setModified()

void QsciScintilla::selectionChanged | ( |  | ) |
| signal

This signal is emitted whenever the selection changes.

See also
  copyAvailable()

void QsciScintilla::userListActivated | ( | int | id,
|  | const QString & | string
| ) |  |
| signal

This signal is emitted when an item in a user defined list is activated (selected). id is the list identifier. string is the text of the item.

See also
  showUserList()